Schema "fpml-asset-5-5.xsd"
Target Namespace:

  http://www.fpml.org/FpML-5/transparency

Version:

  $Revision: 10093 $

Defined Components:

  21 global elements, 147 local elements, 61 complexTypes, 1 simpleType, 12 element groups

Default Namespace-Qualified Form:

  Local Elements: qualified; Local Attributes: unqualified

Schema Location:

  C:\Users\mkoli\FpML Specifications\trunk\xml\transparency\fpml-asset-5-5.xsd; see XML source

Includes Schema:

  fpml-shared-5-5.xsd [src]

Included in Schemas (6):

  fpml-business-events-5-5.xsd [src], fpml-doc-5-5.xsd [src], fpml-generic-5-5.xsd [src], fpml-ird-5-5.xsd [src], fpml-option-shared-5-5.xsd [src], fpml-standard-5-5.xsd [src]

All Element Summary
accruedInterest | Accrued interest on the dividend or coupon payment.
Type: | Money
Content: | complex, 1 attribute, 2 elements
Defined: | locally witnin PendingPayment complexType; see XML source
accruedInterestPrice | Specifies the accrued interest that are part of the dirty price in the case of a fixed income security or a convertible bond.
Type: | xsd:decimal
Content: | simple
Defined: | locally witnin EquityPrice.model group; see XML source
amount (defined in ActualPrice complexType) | Specifies the net price amount.
Type: | xsd:decimal
Content: | simple
Defined: | locally witnin ActualPrice complexType; see XML source
amount (defined in PendingPayment complexType) | The amount of the dividend or coupon payment.
Type: | Money
Content: | complex, 1 attribute, 2 elements
Defined: | locally witnin PendingPayment complexType; see XML source
amountRelativeTo (defined in Price complexType) | The href attribute value will be a pointer style reference to the element or component elsewhere in the document where the anchor amount is defined.
Type: | AmountReference
Content: | empty, 1 attribute
Defined: | locally witnin Price complexType; see XML source
amountRelativeTo (in fxConversion) |
Type: | AmountReference
Content: | empty, 1 attribute
Defined: | locally witnin FxConversion complexType; see XML source
averageDailyTradingVolume | The average amount of individual securities traded in a day or over a specified amount of time.
Type: | AverageDailyTradingVolumeLimit
Content: | complex, 2 elements
Defined: | locally witnin SingleUnderlyer complexType; see XML source
basket | Defines the underlying asset when it is a basket.
Type: | Basket
Content: | complex, 1 attribute, 7 elements
Subst.Gr: | may substitute for element underlyingAsset
Defined: | globally; see XML source
Used: | never
basket (defined in Underlyer complexType) | Describes the swap's underlyer when it has multiple asset components.
Type: | Basket
Content: | complex, 1 attribute, 7 elements
Defined: | locally witnin Underlyer complexType; see XML source
basketAmount | DEPRECATED.
Type: | Money
Content: | complex, 1 attribute, 2 elements
Defined: | locally witnin ConstituentWeight complexType; see XML source
basketConstituent | Describes each of the components of the basket.
Type: | BasketConstituent
Content: | complex, 1 attribute, 9 elements
Defined: | locally witnin Basket complexType; see XML source
basketCurrency | Specifies the currency for this basket.
Type: | Currency
Content: | simple, 1 attribute
Defined: | locally witnin Basket complexType; see XML source
basketDivisor | Specifies the basket divisor amount.
Type: | xsd:decimal
Content: | simple
Defined: | locally witnin Basket complexType; see XML source
basketId | A CDS basket identifier
Type: | BasketId
Content: | simple, 1 attribute
Defined: | locally witnin BasketIdentifier.model group; see XML source
basketName | The name of the basket expressed as a free format string.
Type: | BasketName
Content: | simple, 1 attribute
Defined: | locally witnin BasketIdentifier.model group; see XML source
basketPercentage | The relative weight of each respective basket constituent, expressed in percentage.
Type: | RestrictedPercentage
Content: | simple
Defined: | locally witnin ConstituentWeight complexType; see XML source
basketVersion | Basket version, used to record changes in basket composition or weights
Type: | xsd:nonNegativeInteger
Content: | simple
Defined: | locally witnin Basket complexType; see XML source
bond | Identifies the underlying asset when it is a series or a class of bonds.
Type: | Bond
Content: | complex, 1 attribute, 15 elements
Subst.Gr: | may substitute for element underlyingAsset
Defined: | globally; see XML source
Used: | at 2 locations
borrower |
Type: | LegalEntity
Content: | complex, 1 attribute, 2 elements
Defined: | locally witnin Loan complexType; see XML source
borrowerReference |
Type: | LegalEntityReference
Content: | empty, 1 attribute
Defined: | locally witnin Loan complexType; see XML source
businessCenter (defined in QuoteLocation.model group) | A city or other business center.
Type: | BusinessCenter
Content: | simple, 2 attributes
Defined: | locally witnin QuoteLocation.model group; see XML source
cash | Identifies a simple underlying asset type that is a cash payment.
Type: | Cash
Content: | complex, 1 attribute, 3 elements
Subst.Gr: | may substitute for element underlyingAsset
Defined: | globally; see XML source
Used: | never
cashflowType (defined in QuotationCharacteristics.model group) | For cash flows, the type of the cash flows.
Type: | CashflowType
Content: | simple, 1 attribute
Defined: | locally witnin QuotationCharacteristics.model group; see XML source
cleanNetPrice | The net price excluding accrued interest.
Type: | xsd:decimal
Content: | simple
Defined: | locally witnin Price complexType; see XML source
clearanceSystem (defined in CurveInstrument complexType) | Identification of the clearance system associated with the transaction exchange.
Type: | ClearanceSystem
Content: | simple, 1 attribute
Defined: | locally witnin CurveInstrument complexType; see XML source
clearanceSystem (defined in UnderlyingAsset complexType) | Identification of the clearance system associated with the transaction exchange.
Type: | ClearanceSystem
Content: | simple, 1 attribute
Defined: | locally witnin UnderlyingAsset complexType; see XML source
commission | This optional component specifies the commission to be charged for executing the hedge transactions.
Type: | Commission
Content: | complex, 5 elements
Defined: | locally witnin Price complexType; see XML source
commissionAmount | The commission amount, expressed in the way indicated by the commissionType element.
Type: | xsd:decimal
Content: | simple
Defined: | locally witnin Commission complexType; see XML source
commissionDenomination | The type of units used to express a commission.
Type: | CommissionDenominationEnum
Content: | simple
Defined: | locally witnin Commission complexType; see XML source
commissionPerTrade | The total commission per trade.
Type: | xsd:decimal
Content: | simple
Defined: | locally witnin Commission complexType; see XML source
commodity | Identifies the underlying asset when it is a listed commodity.
Type: | Commodity
Content: | complex, 1 attribute, 4 elements
Subst.Gr: | may substitute for element underlyingAsset
Defined: | globally; see XML source
Used: | at 2 locations
commodityBase | A coding scheme value to identify the base type of the commodity being traded.
Type: | CommodityBase
Content: | simple, 1 attribute
Defined: | locally witnin CommodityReferencePriceFramework.model group; see XML source
constituentExchangeId | Identification of all the exchanges where constituents are traded.
Type: | ExchangeId
Content: | simple, 1 attribute
Defined: | locally witnin ExchangeTradedCalculatedPrice complexType; see XML source
constituentWeight (in basketConstituent) | Specifies the weight of each of the underlyer constituent within the basket, either in absolute or relative terms.
Type: | ConstituentWeight
Content: | complex, 3 elements
Defined: | locally witnin BasketConstituent complexType; see XML source
contractReference | Specifies the contract that can be referenced, besides the undelyer type.
Type: | xsd:string
Content: | simple
Defined: | locally witnin ExchangeTradedContract complexType; see XML source
contractYearMonth | The contract month of the futures contract. i.e.
Type: | xsd:gYearMonth
Content: | simple
Defined: | locally witnin Future complexType; see XML source
convertibleBond | Identifies the underlying asset when it is a convertible bond.
Type: | ConvertibleBond
Content: | complex, 1 attribute, 17 elements
Subst.Gr: | may substitute for element underlyingAsset
Defined: | globally; see XML source
Used: | at 2 locations
couponPayment | The next upcoming coupon payment.
Type: | PendingPayment
Content: | complex, 1 attribute, 3 elements
Defined: | locally witnin SingleUnderlyer complexType; see XML source
couponRate | Specifies the coupon rate (expressed in percentage) of a fixed income security or convertible bond.
Type: | xsd:decimal
Content: | simple
Defined: | locally witnin FixedIncomeSecurityContent.model group; see XML source
couponType | Specifies if the bond has a variable coupon, step-up/down coupon or a zero-coupon.
Type: | CouponType
Content: | simple, 1 attribute
Defined: | locally witnin FixedIncomeSecurityContent.model group; see XML source
creditAgreementDate | The credit agreement date is the closing date (the date where the agreement has been signed) for the loans in the credit agreement.
Type: | xsd:date
Content: | simple
Defined: | locally witnin Loan complexType; see XML source
creditEntityReference | An XML reference a credit entity defined elsewhere in the document.
Type: | LegalEntityReference
Content: | empty, 1 attribute
Defined: | locally witnin CreditEntity.model group; see XML source
currency (defined in ActualPrice complexType) | Specifies the currency associated with the net price.
Type: | Currency
Content: | simple, 1 attribute
Defined: | locally witnin ActualPrice complexType; see XML source
currency (defined in CurveInstrument complexType) | Currency in which the underlying asset is denominated.
Type: | Currency
Content: | simple, 1 attribute
Defined: | locally witnin CurveInstrument complexType; see XML source
currency (defined in QuotationCharacteristics.model group) | The optional currency that the measure is expressed in.
Type: | Currency
Content: | simple, 1 attribute
Defined: | locally witnin QuotationCharacteristics.model group; see XML source
currency (defined in UnderlyingAsset complexType) | Trading currency of the underlyer when transacted as a cash instrument.
Type: | IdentifiedCurrency
Content: | simple, 2 attributes
Defined: | locally witnin UnderlyingAsset complexType; see XML source
currency (in cash) | The currency in which an amount is denominated.
Type: | Currency
Content: | simple, 1 attribute
Defined: | locally witnin Cash complexType; see XML source
currency (in commission) | The currency in which an amount is denominated.
Type: | Currency
Content: | simple, 1 attribute
Defined: | locally witnin Commission complexType; see XML source
currencyType | The optional currency that the measure is expressed in.
Type: | ReportingCurrencyType
Content: | simple, 1 attribute
Defined: | locally witnin QuotationCharacteristics.model group; see XML source
currentFactor | The part of the mortgage that is currently outstanding.
Type: | xsd:decimal
Content: | simple
Defined: | locally witnin AssetPool complexType; see XML source
curveInstrument | Defines the underlying asset when it is a curve instrument.
Type: | Asset
Content: | empty, 1 attribute
Abstract: | (may not be used directly in instance XML documents)
Subst.Gr: | may be substituted with 6 elements
Defined: | globally; see XML source
Used: | at 6 locations
dayCountFraction (defined in BondCalculation.model group) | The day count basis for the bond.
Type: | DayCountFraction
Content: | simple, 1 attribute
Defined: | locally witnin BondCalculation.model group; see XML source
dayCountFraction (in deposit) | The day count basis for the deposit.
Type: | DayCountFraction
Content: | simple, 1 attribute
Defined: | locally witnin Deposit complexType; see XML source
dayCountFraction (in rateIndex) | The day count basis for the index.
Type: | DayCountFraction
Content: | simple, 1 attribute
Defined: | locally witnin RateIndex complexType; see XML source
dayCountFraction (in simpleFra) | The day count basis for the FRA.
Type: | DayCountFraction
Content: | simple, 1 attribute
Defined: | locally witnin SimpleFra complexType; see XML source
dayCountFraction (in simpleIrSwap) | The day count basis for the swap.
Type: | DayCountFraction
Content: | simple, 1 attribute
Defined: | locally witnin SimpleIRSwap complexType; see XML source
definition (defined in CurveInstrument complexType) | An optional reference to a full FpML product that defines the simple product in greater detail.
Type: | ProductReference
Content: | empty, 1 attribute
Defined: | locally witnin CurveInstrument complexType; see XML source
definition (defined in UnderlyingAsset complexType) | An optional reference to a full FpML product that defines the simple product in greater detail.
Type: | ProductReference
Content: | empty, 1 attribute
Defined: | locally witnin UnderlyingAsset complexType; see XML source
deliveryDates | The 'deliveryDates' element is applicable for a Commodity Reference Price that references a listed future contract (e.g.
Type: | DeliveryDatesEnum
Content: | simple
Defined: | locally witnin CommodityProduct.model group; see XML source
deposit | Identifies a simple underlying asset that is a term deposit.
Type: | Deposit
Content: | complex, 1 attribute, 8 elements
Subst.Gr: | may substitute for element curveInstrument
Defined: | globally; see XML source
Used: | never
depositoryReceipt | A Depository Receipt is a negotiable certificate issued by a trust company or security depository.
Type: | xsd:boolean
Content: | simple
Defined: | locally witnin SingleUnderlyer complexType; see XML source
description (in cash) | Long name of the underlying asset.
Type: | xsd:string
Content: | simple
Defined: | locally witnin Cash complexType; see XML source
determinationMethod (defined in Price complexType) | Specifies the method according to which an amount or a date is determined.
Type: | DeterminationMethod
Content: | simple, 2 attributes
Defined: | locally witnin Price complexType; see XML source
dividendPayment | The next upcoming dividend payment or payments.
Type: | PendingPayment
Content: | complex, 1 attribute, 3 elements
Defined: | locally witnin DividendPayout complexType; see XML source
dividendPayout | Specifies the dividend payout ratio associated with an equity underlyer.
Type: | DividendPayout
Content: | complex, 5 elements
Defined: | locally witnin SingleUnderlyer complexType; see XML source
dividendPayoutConditions | Specifies the dividend payout conditions that will be applied in the case where the actual ratio is not known, typically because of regulatory or legal uncertainties.
Type: | xsd:string
Content: | simple
Defined: | locally witnin DividendPayout complexType; see XML source
dividendPayoutRatio | Specifies the total actual dividend payout ratio associated with the equity underlyer.
Type: | xsd:decimal
Content: | simple
Defined: | locally witnin DividendPayout complexType; see XML source
dividendPayoutRatioCash | Specifies the cash actual dividend payout ratio associated with the equity underlyer.
Type: | xsd:decimal
Content: | simple
Defined: | locally witnin DividendPayout complexType; see XML source
dividendPayoutRatioNonCash | Specifies the non cash actual dividend payout ratio associated with the equity underlyer.
Type: | xsd:decimal
Content: | simple
Defined: | locally witnin DividendPayout complexType; see XML source
endTerm | Specifies the end term of the simple fra, e.g. 9M.
Type: | Period
Content: | complex, 1 attribute, 2 elements
Defined: | locally witnin SimpleFra complexType; see XML source
equity | Identifies the underlying asset when it is a listed equity.
Type: | EquityAsset
Content: | complex, 1 attribute, 8 elements
Subst.Gr: | may substitute for element underlyingAsset
Defined: | globally; see XML source
Used: | never
exchangeId (defined in CurveInstrument complexType) | Identification of the exchange on which this asset is transacted for the purposes of calculating a contractural payoff.
Type: | ExchangeId
Content: | simple, 1 attribute
Defined: | locally witnin CurveInstrument complexType; see XML source
exchangeId (defined in QuoteLocation.model group) | The exchange (e.g. stock or futures exchange) from which the quote is obtained.
Type: | ExchangeId
Content: | simple, 1 attribute
Defined: | locally witnin QuoteLocation.model group; see XML source
exchangeId (defined in UnderlyingAsset complexType) | Identification of the exchange on which this asset is transacted for the purposes of calculating a contractural payoff.
Type: | ExchangeId
Content: | simple, 1 attribute
Defined: | locally witnin UnderlyingAsset complexType; see XML source
exchangeTradedFund | Identifies the underlying asset when it is an exchange-traded fund.
Type: | ExchangeTradedFund
Content: | complex, 1 attribute, 10 elements
Subst.Gr: | may substitute for element underlyingAsset
Defined: | globally; see XML source
Used: | never
expirationDate (defined in ExchangeTradedContract complexType) | The date when the contract expires.
Type: | AdjustableOrRelativeDate
Content: | complex, 1 attribute, 2 elements
Defined: | locally witnin ExchangeTradedContract complexType; see XML source
expiryTime (defined in QuotationCharacteristics.model group) | When does the quote cease to be valid.
Type: | xsd:dateTime
Content: | simple
Defined: | locally witnin QuotationCharacteristics.model group; see XML source
faceAmount | Specifies the total amount of the issue.
Type: | xsd:decimal
Content: | simple
Defined: | locally witnin Bond complexType; see XML source
facilityType | The type of loan facility (letter of credit, revolving, ...).
Type: | FacilityType
Content: | simple, 1 attribute
Defined: | locally witnin Loan complexType; see XML source
floatingRateIndex (in rateIndex) |
Type: | FloatingRateIndex
Content: | simple, 1 attribute
Defined: | locally witnin RateIndex complexType; see XML source
fundManager (in exchangeTradedFund) | Specifies the fund manager that is in charge of the fund.
Type: | xsd:string
Content: | simple
Defined: | locally witnin ExchangeTradedFund complexType; see XML source
fundManager (in mutualFund) | Specifies the fund manager that is in charge of the fund.
Type: | xsd:string
Content: | simple
Defined: | locally witnin MutualFund complexType; see XML source
future | Identifies the underlying asset when it is a listed future contract.
Type: | Future
Content: | complex, 1 attribute, 12 elements
Subst.Gr: | may substitute for element underlyingAsset
Defined: | globally; see XML source
Used: | never
futureContractReference | Specifies the future contract that can be referenced, besides the equity or index reference defined as part of the UnderlyerAsset type.
Type: | xsd:string
Content: | simple
Defined: | locally witnin Future complexType; see XML source
futureId | A short form unique identifier for the reference future contract in the case of an index underlyer.
Type: | FutureId
Content: | simple, 1 attribute
Defined: | locally witnin Index complexType; see XML source
fx | Identifies a simple underlying asset type that is an FX rate.
Type: | FxRateAsset
Content: | complex, 1 attribute, 7 elements
Subst.Gr: | may substitute for element curveInstrument
Defined: | globally; see XML source
Used: | never
fxConversion | Specifies the currency conversion rate that applies to an amount.
Type: | FxConversion
Content: | complex, 2 elements
Defined: | locally witnin EquityPrice.model group; see XML source
fxRate (in commission) | FX Rates that have been used to convert commissions to a single currency.
Type: | FxRate
Content: | complex, 2 elements
Defined: | locally witnin Commission complexType; see XML source
fxRate (in fxConversion) | Specifies a currency conversion rate.
Type: | FxRate
Content: | complex, 2 elements
Defined: | locally witnin FxConversion complexType; see XML source
grossPrice | Specifies the price of the underlyer, before commissions.
Type: | ActualPrice
Content: | complex, 3 elements
Defined: | locally witnin EquityPrice.model group; see XML source
index | Identifies the underlying asset when it is a financial index.
Type: | Index
Content: | complex, 1 attribute, 10 elements
Subst.Gr: | may substitute for element underlyingAsset
Defined: | globally; see XML source
Used: | never
informationSource (defined in QuotationCharacteristics.model group) | The information source where a published or displayed market rate will be obtained, e.g.
Type: | InformationSource
Content: | complex, 3 elements
Defined: | locally witnin QuotationCharacteristics.model group; see XML source
initialFactor | The part of the mortgage that is outstanding on trade inception, i.e. has not been repaid yet as principal.
Type: | xsd:decimal
Content: | simple
Defined: | locally witnin AssetPool complexType; see XML source
instrumentId (defined in IdentifiedAsset complexType) | Identification of the underlying asset, using public and/or private identifiers.
Type: | InstrumentId
Content: | simple, 1 attribute
Defined: | locally witnin IdentifiedAsset complexType; see XML source
instrumentId (in cash) | Identification of the underlying asset, using public and/or private identifiers.
Type: | InstrumentId
Content: | simple, 1 attribute
Defined: | locally witnin Cash complexType; see XML source
insurer |
Type: | LegalEntity
Content: | complex, 1 attribute, 2 elements
Defined: | locally witnin Mortgage complexType; see XML source
insurerReference |
Type: | LegalEntityReference
Content: | empty, 1 attribute
Defined: | locally witnin Mortgage complexType; see XML source
issuerName |
Type: | xsd:string
Content: | simple
Defined: | locally witnin FixedIncomeSecurityContent.model group; see XML source
issuerPartyReference |
Type: | PartyReference
Content: | empty, 1 attribute
Defined: | locally witnin FixedIncomeSecurityContent.model group; see XML source
lien | Specifies the seniority level of the lien.
Type: | Lien
Content: | simple, 1 attribute
Defined: | locally witnin Loan complexType; see XML source
loan | Identifies a simple underlying asset that is a loan.
Type: | Loan
Content: | complex, 1 attribute, 12 elements
Subst.Gr: | may substitute for element underlyingAsset
Defined: | globally; see XML source
Used: | at 1 location
maturity (defined in FixedIncomeSecurityContent.model group) | The date when the principal amount of a security becomes due and payable.
Type: | xsd:date
Content: | simple
Defined: | locally witnin FixedIncomeSecurityContent.model group; see XML source
maturity (in future) | The date when the future contract expires.
Type: | xsd:date
Content: | simple
Defined: | locally witnin Future complexType; see XML source
maturity (in loan) | The date when the principal amount of the loan becomes due and payable.
Type: | xsd:date
Content: | simple
Defined: | locally witnin Loan complexType; see XML source
measureType | The type of the value that is measured.
Type: | AssetMeasureType
Content: | simple, 1 attribute
Defined: | locally witnin QuotationCharacteristics.model group; see XML source
mortgage | Identifies a mortgage backed security.
Type: | Mortgage
Content: | complex, 1 attribute, 19 elements
Subst.Gr: | may substitute for element underlyingAsset
Defined: | globally; see XML source
Used: | at 1 location
multiplier (defined in ExchangeTradedContract complexType) | Specifies the contract multiplier that can be associated with the number of units.
Type: | xsd:positiveInteger
Content: | simple
Defined: | locally witnin ExchangeTradedContract complexType; see XML source
multiplier (in future) | The multiplier is the minimum number of the underlying - index or stock - that a participant has to trade while taking a position in the Future contract.
Type: | xsd:positiveInteger
Content: | simple
Defined: | locally witnin Future complexType; see XML source
mutualFund | Identifies the class of unit issued by a fund.
Type: | MutualFund
Content: | complex, 1 attribute, 7 elements
Subst.Gr: | may substitute for element underlyingAsset
Defined: | globally; see XML source
Used: | never
netPrice | Specifies the price of the underlyer, net of commissions.
Type: | ActualPrice
Content: | complex, 3 elements
Defined: | locally witnin EquityPrice.model group; see XML source
openEndedFund | Boolean indicator to specify whether the mutual fund is an open-ended mutual fund.
Type: | xsd:boolean
Content: | simple
Defined: | locally witnin MutualFund complexType; see XML source
openUnits (defined in Basket complexType) | The number of units (index or securities) that constitute the underlyer of the swap.
Type: | xsd:decimal
Content: | simple
Defined: | locally witnin Basket complexType; see XML source
openUnits (defined in ConstituentWeight complexType) | The number of units (index or securities) that constitute the underlyer of the swap.
Type: | xsd:decimal
Content: | simple
Defined: | locally witnin ConstituentWeight complexType; see XML source
openUnits (in singleUnderlyer) | The number of units (index or securities) that constitute the underlyer of the swap.
Type: | xsd:decimal
Content: | simple
Defined: | locally witnin SingleUnderlyer complexType; see XML source
option | Identifies the underlying asset when it is a listed option contract.
Type: | ExchangeTradedOption
Content: | complex, 1 attribute, 13 elements
Subst.Gr: | may substitute for element underlyingAsset
Defined: | globally; see XML source
Used: | never
optionsExchangeId | A short form unique identifier for an exchange on which the reference option contract is listed.
Type: | ExchangeId
Content: | simple, 1 attribute
Defined: | locally witnin ExchangeIdentifier.model group; see XML source
optionType (in option) | Specifies whether the option allows the hodler to buy or sell tne underlying asset.
Type: | PutCallEnum
Content: | simple
Defined: | locally witnin ExchangeTradedOption complexType; see XML source
originalPrincipalAmount | The initial issued amount of the mortgage obligation.
Type: | xsd:decimal
Content: | simple
Defined: | locally witnin Mortgage complexType; see XML source
parValue | Specifies the nominal amount of a fixed income security or convertible bond.
Type: | xsd:decimal
Content: | simple
Defined: | locally witnin Bond complexType; see XML source
paymentDate (defined in PendingPayment complexType) | The date that the dividend or coupon is due.
Type: | xsd:date
Content: | simple
Defined: | locally witnin PendingPayment complexType; see XML source
paymentFrequency (defined in BondCalculation.model group) | Specifies the frequency at which the bond pays, e.g. 6M.
Type: | Period
Content: | complex, 1 attribute, 2 elements
Defined: | locally witnin BondCalculation.model group; see XML source
paymentFrequency (in deposit) | Specifies the frequency at which the deposit pays, e.g. 6M.
Type: | Period
Content: | complex, 1 attribute, 2 elements
Defined: | locally witnin Deposit complexType; see XML source
paymentFrequency (in rateIndex) | Specifies the frequency at which the index pays, e.g. 6M.
Type: | Period
Content: | complex, 1 attribute, 2 elements
Defined: | locally witnin RateIndex complexType; see XML source
paymentFrequency (in simpleCreditDefaultSwap) | Specifies the frequency at which the swap pays, e.g. 6M.
Type: | Period
Content: | complex, 1 attribute, 2 elements
Defined: | locally witnin SimpleCreditDefaultSwap complexType; see XML source
paymentFrequency (in simpleIrSwap) | Specifies the frequency at which the swap pays, e.g. 6M.
Type: | Period
Content: | complex, 1 attribute, 2 elements
Defined: | locally witnin SimpleIRSwap complexType; see XML source
pool | The morgage pool that is underneath the mortgage obligation.
Type: | AssetPool
Content: | complex, 4 elements
Defined: | locally witnin Mortgage complexType; see XML source
priceExpression | Specifies whether the price is expressed in absolute or relative terms.
Type: | PriceExpressionEnum
Content: | simple
Defined: | locally witnin ActualPrice complexType; see XML source
pricingModel | .
Type: | PricingModel
Content: | simple, 1 attribute
Defined: | locally witnin QuotationCharacteristics.model group; see XML source
quotationCharacteristics | Allows information about how the price was quoted to be provided.
Type: | QuotationCharacteristics
Content: | complex, 14 elements
Defined: | locally witnin Price complexType; see XML source
quotedCurrencyPair (in fx) | Defines the two currencies for an FX trade and the quotation relationship between the two currencies.
Type: | QuotedCurrencyPair
Content: | complex, 3 elements
Defined: | locally witnin FxRateAsset complexType; see XML source
quoteUnits | The optional units that the measure is expressed in.
Type: | PriceQuoteUnits
Content: | simple, 1 attribute
Defined: | locally witnin QuotationCharacteristics.model group; see XML source
rateIndex | Identifies a simple underlying asset that is an interest rate index.
Type: | RateIndex
Content: | complex, 1 attribute, 9 elements
Subst.Gr: | may substitute for element curveInstrument
Defined: | globally; see XML source
Used: | never
rateSource (defined in CommodityInformationSource complexType) | The publication in which the rate, price, index or factor is to be found.
Type: | CommodityInformationProvider
Content: | simple, 1 attribute
Defined: | locally witnin CommodityInformationSource complexType; see XML source
rateSource (in fx) | Defines the source of the FX rate.
Type: | FxSpotRateSource
Content: | complex, 3 elements
Defined: | locally witnin FxRateAsset complexType; see XML source
rateSourcePage (defined in CommodityInformationSource complexType) | A specific page or screen (in the case of electronically published information) on which the rate source is to be found.
Type: | RateSourcePage
Content: | simple, 1 attribute
Defined: | locally witnin CommodityInformationSource complexType; see XML source
rateSourcePageHeading (defined in CommodityInformationSource complexType) | The heading for the rate source on a given rate source page or screen.
Type: | xsd:string
Content: | simple
Defined: | locally witnin CommodityInformationSource complexType; see XML source
redemptionDate | Earlier date between the convertible bond put dates and its maturity date.
Type: | xsd:date
Content: | simple
Defined: | locally witnin ConvertibleBond complexType; see XML source
referenceEntity (in simpleCreditDefaultSwap) | The entity for which this is defined.
Type: | LegalEntity
Content: | complex, 1 attribute, 2 elements
Defined: | locally witnin CreditEntity.model group; see XML source
relatedExchangeId | A short form unique identifier for a related exchange.
Type: | ExchangeId
Content: | simple, 1 attribute
Defined: | locally witnin ExchangeIdentifier.model group; see XML source
sector | The sector classification of the mortgage obligation.
Type: | MortgageSector
Content: | simple, 1 attribute
Defined: | locally witnin Mortgage complexType; see XML source
seniority | The repayment precedence of a debt instrument.
Type: | CreditSeniority
Content: | simple, 1 attribute
Defined: | locally witnin FixedIncomeSecurityContent.model group; see XML source
side (defined in QuotationCharacteristics.model group) | The side (bid/mid/ask) of the measure.
Type: | QuotationSideEnum
Content: | simple
Defined: | locally witnin QuotationCharacteristics.model group; see XML source
simpleCreditDefaultSwap | Identifies a simple underlying asset that is a credit default swap.
Type: | SimpleCreditDefaultSwap
Content: | complex, 1 attribute, 9 elements
Subst.Gr: | may substitute for element curveInstrument
Defined: | globally; see XML source
Used: | never
simpleFra | Identifies a simple underlying asset that is a forward rate agreement.
Type: | SimpleFra
Content: | complex, 1 attribute, 8 elements
Subst.Gr: | may substitute for element curveInstrument
Defined: | globally; see XML source
Used: | never
simpleIrSwap | Identifies a simple underlying asset that is a swap.
Type: | SimpleIRSwap
Content: | complex, 1 attribute, 8 elements
Subst.Gr: | may substitute for element curveInstrument
Defined: | globally; see XML source
Used: | never
singleUnderlyer | Describes the swap's underlyer when it has only one asset component.
Type: | SingleUnderlyer
Content: | complex, 6 elements
Defined: | locally witnin Underlyer complexType; see XML source
specifiedExchangeId | A short form unique identifier for a specified exchange.
Type: | ExchangeId
Content: | simple, 1 attribute
Defined: | locally witnin ExchangeIdentifier.model group; see XML source
specifiedPrice | The 'specified Price' describes the nature of the underlying price that is observed.
Type: | SpecifiedPriceEnum
Content: | simple
Defined: | locally witnin CommodityProduct.model group; see XML source
startTerm | Specifies the start term of the simple fra, e.g. 3M.
Type: | Period
Content: | complex, 1 attribute, 2 elements
Defined: | locally witnin SimpleFra complexType; see XML source
strike (in option) | Specifies the price at which the option can be exercised.
Type: | xsd:decimal
Content: | simple
Defined: | locally witnin ExchangeTradedOption complexType; see XML source
term (in deposit) | Specifies the term of the deposit, e.g. 5Y.
Type: | Period
Content: | complex, 1 attribute, 2 elements
Defined: | locally witnin Deposit complexType; see XML source
term (in rateIndex) | Specifies the term of the simple swap, e.g. 5Y.
Type: | Period
Content: | complex, 1 attribute, 2 elements
Defined: | locally witnin RateIndex complexType; see XML source
term (in simpleCreditDefaultSwap) | Specifies the term of the simple CD swap, e.g. 5Y.
Type: | Period
Content: | complex, 1 attribute, 2 elements
Defined: | locally witnin SimpleCreditDefaultSwap complexType; see XML source
term (in simpleIrSwap) | Specifies the term of the simple swap, e.g. 5Y.
Type: | Period
Content: | complex, 1 attribute, 2 elements
Defined: | locally witnin SimpleIRSwap complexType; see XML source
time (defined in QuotationCharacteristics.model group) | When the quote was observed or when a calculated value was generated.
Type: | xsd:dateTime
Content: | simple
Defined: | locally witnin QuotationCharacteristics.model group; see XML source
timing | When during a day the quote is for.
Type: | QuoteTiming
Content: | simple, 1 attribute
Defined: | locally witnin QuotationCharacteristics.model group; see XML source
tranche (in loan) | The loan tranche that is subject to the derivative transaction.
Type: | UnderlyingAssetTranche
Content: | simple, 1 attribute
Defined: | locally witnin Loan complexType; see XML source
tranche (in mortgage) | The mortgage obligation tranche that is subject to the derivative transaction.
Type: | xsd:token
Content: | simple
Defined: | locally witnin Mortgage complexType; see XML source
underlyerCollateral | Collateral associated with this underlyer.
Type: | Collateral
Content: | complex, 1 element
Defined: | locally witnin BasketConstituent complexType; see XML source
underlyerFinancing | Financing terms associated with this underlyer
Type: | UnderlyerInterestLeg
Content: | complex, 1 attribute, 5 elements
Defined: | locally witnin BasketConstituent complexType; see XML source
underlyerLoanRate | Loan rate terms associated with this underlyer.
Type: | UnderlyerLoanRate
Content: | complex, 4 elements
Defined: | locally witnin BasketConstituent complexType; see XML source
underlyerNotional | Specifies the notional (i.e. price * quantity) that is associated with each of the basket constituents.
Type: | Money
Content: | complex, 1 attribute, 2 elements
Defined: | locally witnin BasketConstituent complexType; see XML source
underlyerPrice | Specifies the price that is associated with each of the basket constituents.
Type: | Price
Content: | complex, 9 elements
Defined: | locally witnin BasketConstituent complexType; see XML source
underlyerSpread | Provides a link to the spread schedule used for this underlyer.
Type: | SpreadScheduleReference
Content: | empty, 1 attribute
Defined: | locally witnin BasketConstituent complexType; see XML source
underlyingAsset | Define the underlying asset, either a listed security or other instrument.
Type: | Asset
Content: | empty, 1 attribute
Abstract: | (may not be used directly in instance XML documents)
Subst.Gr: | may be substituted with 13 elements
Defined: | globally; see XML source
Used: | at 16 locations
underlyingEquity | Specifies the equity in which the convertible bond can be converted.
Type: | EquityAsset
Content: | complex, 1 attribute, 8 elements
Defined: | locally witnin ConvertibleBond complexType; see XML source
valuationDate (defined in QuotationCharacteristics.model group) | When the quote was computed.
Type: | xsd:date
Content: | simple
Defined: | locally witnin QuotationCharacteristics.model group; see XML source
value (defined in Quotation.model group) | The value of the the quotation.
Type: | xsd:decimal
Content: | simple
Defined: | locally witnin Quotation.model group; see XML source

Complex Type Summary
ActualPrice |
Content: | complex, 3 elements
Defined: | globally; see XML source
Includes: | definitions of 3 elements
Used: | at 2 locations
AnyAssetReference | A reference to an asset, e.g. a portfolio, trade, or reference instrument..
Content: | empty, 1 attribute
Defined: | globally; see XML source
Includes: | definition of 1 attribute
Used: | never
Asset | Abstract base class for all underlying assets.
Content: | empty, 1 attribute
Abstract: | (cannot be assigned directly to elements used in instance XML documents)
Defined: | globally; see XML source
Includes: | definition of 1 attribute
Used: | at 5 locations
AssetMeasureType | A scheme identifying the types of measures that can be used to describe an asset.
Content: | simple, 1 attribute
Defined: | globally; see XML source
Includes: | definition of 1 attribute
Used: | at 1 location
AssetPool | Characterise the asset pool behind an asset backed bond.
Content: | complex, 4 elements
Defined: | globally; see XML source
Includes: | definitions of 2 elements
Used: | at 1 location
AssetReference | Reference to an underlying asset.
Content: | empty, 1 attribute
Defined: | globally; see XML source
Includes: | definition of 1 attribute
Used: | at 2 locations
BasicQuotation | Some kind of numerical measure about an asset, eg. its NPV, together with characteristics of that measure.
Content: | complex, 1 attribute, 15 elements
Defined: | globally; see XML source
Includes: | definition of 1 attribute
Used: | at 3 locations
Basket | A type describing the underlyer features of a basket swap.
Content: | complex, 1 attribute, 7 elements
Defined: | globally; see XML source
Includes: | definitions of 5 elements
Used: | at 2 locations
BasketConstituent | A type describing each of the constituents of a basket.
Content: | complex, 1 attribute, 9 elements
Defined: | globally; see XML source
Includes: | definitions of 1 attribute, 8 elements
Used: | at 1 location
BasketId |
Content: | simple, 1 attribute
Defined: | globally; see XML source
Includes: | definition of 1 attribute
Used: | at 1 location
BasketName |
Content: | simple, 1 attribute
Defined: | globally; see XML source
Includes: | definition of 1 attribute
Used: | at 1 location
Bond | An exchange traded bond.
Content: | complex, 1 attribute, 15 elements
Defined: | globally; see XML source
Includes: | definitions of 2 elements
Used: | at 2 locations
Cash |
Content: | complex, 1 attribute, 3 elements
Defined: | globally; see XML source
Includes: | definitions of 3 elements
Used: | at 1 location
Commission | A type describing the commission that will be charged for each of the hedge transactions.
Content: | complex, 5 elements
Defined: | globally; see XML source
Includes: | definitions of 5 elements
Used: | at 1 location
Commodity | A type describing a commodity underlying asset.
Content: | complex, 1 attribute, 4 elements
Defined: | globally; see XML source
Used: | at 3 locations
CommodityBase |
Content: | simple, 1 attribute
Defined: | globally; see XML source
Includes: | definition of 1 attribute
Used: | at 1 location
CommodityBusinessCalendar | Defines a commodity business day calendar.
Content: | simple, 1 attribute
Defined: | globally; see XML source
Includes: | definition of 1 attribute
Used: | never
CommodityDetails |
Content: | simple, 1 attribute
Defined: | globally; see XML source
Includes: | definition of 1 attribute
Used: | never
CommodityInformationProvider | The publication in which the rate, price, index or factor is to be found.
Content: | simple, 1 attribute
Defined: | globally; see XML source
Includes: | definition of 1 attribute
Used: | at 1 location
CommodityInformationSource | A type defining the source of a commodity rate, price or index or of a market rate or of a conversion factor (e.g. a fx conversion factor).
Content: | complex, 3 elements
Defined: | globally; see XML source
Includes: | definitions of 3 elements
Used: | never
ConstituentWeight | A type describing the weight of each of the underlyer constituent within the basket, either in absolute or relative terms.
Content: | complex, 3 elements
Defined: | globally; see XML source
Includes: | definitions of 3 elements
Used: | at 2 locations
ConvertibleBond |
Content: | complex, 1 attribute, 17 elements
Defined: | globally; see XML source
Includes: | definitions of 2 elements
Used: | at 1 location
CouponType | Defines a scheme of values for specifiying if the bond has a variable coupon, step-up/down coupon or a zero-coupon.
Content: | simple, 1 attribute
Defined: | globally; see XML source
Includes: | definition of 1 attribute
Used: | at 1 location
CurveInstrument | Abstract base class for instruments intended to be used primarily for building curves.
Content: | complex, 1 attribute, 5 elements
Abstract: | (cannot be assigned directly to elements used in instance XML documents)
Defined: | globally; see XML source
Includes: | definitions of 4 elements
Used: | never
Deposit |
Content: | complex, 1 attribute, 8 elements
Defined: | globally; see XML source
Includes: | definitions of 3 elements
Used: | at 1 location
DividendPayout | A type describing the dividend payout ratio associated with an equity underlyer.
Content: | complex, 5 elements
Defined: | globally; see XML source
Includes: | definitions of 5 elements
Used: | at 1 location
EquityAsset | An exchange traded equity asset.
Content: | complex, 1 attribute, 8 elements
Defined: | globally; see XML source
Used: | at 2 locations
ExchangeTraded | An abstract base class for all exchange traded financial products.
Content: | complex, 1 attribute, 8 elements
Abstract: | (cannot be assigned directly to elements used in instance XML documents)
Defined: | globally; see XML source
Used: | at 4 locations
ExchangeTradedCalculatedPrice | Abstract base class for all exchange traded financial products with a price which is calculated from exchange traded constituents.
Content: | complex, 1 attribute, 9 elements
Abstract: | (cannot be assigned directly to elements used in instance XML documents)
Defined: | globally; see XML source
Includes: | definition of 1 element
Used: | at 2 locations
ExchangeTradedContract | An exchange traded derivative contract.
Content: | complex, 1 attribute, 11 elements
Defined: | globally; see XML source
Includes: | definitions of 3 elements
Used: | at 3 locations
ExchangeTradedFund | An exchange traded fund whose price depends on exchange traded constituents.
Content: | complex, 1 attribute, 10 elements
Defined: | globally; see XML source
Includes: | definition of 1 element
Used: | at 1 location
ExchangeTradedOption | An exchange traded option.
Content: | complex, 1 attribute, 13 elements
Defined: | globally; see XML source
Includes: | definitions of 2 elements
Used: | at 1 location
FacilityType | A type describing the type of loan facility.
Content: | simple, 1 attribute
Defined: | globally; see XML source
Includes: | definition of 1 attribute
Used: | at 1 location
Future | An exchange traded future contract.
Content: | complex, 1 attribute, 12 elements
Defined: | globally; see XML source
Includes: | definitions of 4 elements
Used: | at 1 location
FutureId | A type defining a short form unique identifier for a future contract.
Content: | simple, 1 attribute
Defined: | globally; see XML source
Includes: | definition of 1 attribute
Used: | at 1 location
FxConversion |
Content: | complex, 2 elements
Defined: | globally; see XML source
Includes: | definitions of 2 elements
Used: | at 1 location
FxRateAsset |
Content: | complex, 1 attribute, 7 elements
Defined: | globally; see XML source
Includes: | definitions of 2 elements
Used: | at 1 location
IdentifiedAsset | A generic type describing an identified asset.
Content: | complex, 1 attribute, 1 element
Abstract: | (cannot be assigned directly to elements used in instance XML documents)
Defined: | globally; see XML source
Includes: | definition of 1 element
Used: | at 3 locations
Index | A published index whose price depends on exchange traded constituents.
Content: | complex, 1 attribute, 10 elements
Defined: | globally; see XML source
Includes: | definition of 1 element
Used: | at 1 location
Lien | A type describing the liens associated with a loan facility.
Content: | simple, 1 attribute
Defined: | globally; see XML source
Includes: | definition of 1 attribute
Used: | at 1 location
Loan | A type describing a loan underlying asset.
Content: | complex, 1 attribute, 12 elements
Defined: | globally; see XML source
Includes: | definitions of 7 elements
Used: | at 1 location
Mortgage | A type describing a mortgage asset.
Content: | complex, 1 attribute, 19 elements
Defined: | globally; see XML source
Includes: | definitions of 6 elements
Used: | at 1 location
MortgageSector | A type describing the typology of mortgage obligations.
Content: | simple, 1 attribute
Defined: | globally; see XML source
Includes: | definition of 1 attribute
Used: | at 1 location
MutualFund |
Content: | complex, 1 attribute, 7 elements
Defined: | globally; see XML source
Includes: | definitions of 2 elements
Used: | at 1 location
PendingPayment | A structure representing a pending dividend or coupon payment.
Content: | complex, 1 attribute, 3 elements
Defined: | globally; see XML source
Includes: | definitions of 3 elements
Used: | at 2 locations
Price | A type describing the strike price.
Content: | complex, 9 elements
Defined: | globally; see XML source
Includes: | definitions of 5 elements
Used: | at 2 locations
PriceQuoteUnits | The units in which a price is quoted.
Content: | simple, 1 attribute
Defined: | globally; see XML source
Includes: | definition of 1 attribute
Used: | at 1 location
PricingModel | A scheme identifying the types of pricing model used to evaluate the price of an asset.
Content: | simple, 1 attribute
Defined: | globally; see XML source
Includes: | definition of 1 attribute
Used: | at 1 location
QuantityUnit |
Content: | simple, 1 attribute
Defined: | globally; see XML source
Includes: | definition of 1 attribute
Used: | at 5 locations
QuotationCharacteristics | A type representing a set of characteristics that describe a quotation.
Content: | complex, 14 elements
Defined: | globally; see XML source
Used: | at 1 location
QuoteTiming | The type of the time of the quote.
Content: | simple, 1 attribute
Defined: | globally; see XML source
Includes: | definition of 1 attribute
Used: | at 1 location
RateIndex |
Content: | complex, 1 attribute, 9 elements
Defined: | globally; see XML source
Includes: | definitions of 4 elements
Used: | at 1 location
ReportingCurrencyType | A scheme identifying the type of currency that was used to report the value of an asset.
Content: | simple, 1 attribute
Defined: | globally; see XML source
Includes: | definition of 1 attribute
Used: | at 1 location
SimpleCreditDefaultSwap |
Content: | complex, 1 attribute, 9 elements
Defined: | globally; see XML source
Includes: | definitions of 2 elements
Used: | at 1 location
SimpleFra |
Content: | complex, 1 attribute, 8 elements
Defined: | globally; see XML source
Includes: | definitions of 3 elements
Used: | at 1 location
SimpleIRSwap |
Content: | complex, 1 attribute, 8 elements
Defined: | globally; see XML source
Includes: | definitions of 3 elements
Used: | at 1 location
SingleUnderlyer | A type describing a single underlyer
Content: | complex, 6 elements
Defined: | globally; see XML source
Includes: | definitions of 6 elements
Used: | at 1 location
Underlyer | A type describing the whole set of possible underlyers: single underlyers or multiple underlyers, each of these having either security or index components.
Content: | complex, 2 elements
Defined: | globally; see XML source
Includes: | definitions of 2 elements
Used: | at 3 locations
UnderlyerLoanRate | Defines stock loan information where this is required per underlyer.
Content: | complex, 4 elements
Defined: | globally; see XML source
Used: | at 1 location
UnderlyingAsset | Abstract base class for all underlying assets.
Content: | complex, 1 attribute, 5 elements
Abstract: | (cannot be assigned directly to elements used in instance XML documents)
Defined: | globally; see XML source
Includes: | definitions of 4 elements
Used: | at 11 locations
UnderlyingAssetTranche |
Content: | simple, 1 attribute
Defined: | globally; see XML source
Includes: | definition of 1 attribute
Used: | at 1 location

Simple Type Summary
YearType | A type defining a year, from 2000-2999.
Defined: | globally; see XML source
Used: | never

Element Group Summary
BasketIdentifier.model | A group that specifies a name and an identifier for a given basket.
Content: | 2 elements
Defined: | globally; see XML source
Includes: | definitions of 2 elements
Used: | at 2 locations
BondCalculation.model | A group that specifies Bond Calculation elements.
Content: | 2 elements
Defined: | globally; see XML source
Includes: | definitions of 2 elements
Used: | at 2 locations
BondChoice.model | A model group which provides choices between all bond underlyers.
Content: | 2 elements
Defined: | globally; see XML source
Includes: | definitions of 2 elements
Used: | at 1 location
CommodityProduct.model | A group used to specify details of a commodity underlyer.
Content: | 3 elements
Defined: | globally; see XML source
Includes: | definitions of 2 elements
Used: | at 1 location
CommodityReferencePriceFramework.model | A group used to specify the commodity underlyer in the event that no ISDA Commofity Reference Price exists.
Content: | 1 element
Defined: | globally; see XML source
Includes: | definition of 1 element
Used: | at 1 location
CreditEntity.model | An item which has credit characteristics that can be modeled, e.g. a firm, index, or region.
Content: | 2 elements
Defined: | globally; see XML source
Includes: | definitions of 2 elements
Used: | at 1 location
EquityPrice.model |
Content: | 4 elements
Defined: | globally; see XML source
Includes: | definitions of 4 elements
Used: | at 1 location
ExchangeIdentifier.model |
Content: | 3 elements
Defined: | globally; see XML source
Includes: | definitions of 3 elements
Used: | at 1 location
FixedIncomeSecurityContent.model | A group that specifies Bond Content elements.
Content: | 6 elements
Defined: | globally; see XML source
Includes: | definitions of 6 elements
Used: | at 2 locations
Quotation.model | Some kind of numerical measure about an asset, eg. its price or NPV, together with characteristics of that measure.
Content: | 15 elements
Defined: | globally; see XML source
Includes: | definition of 1 element
Used: | at 1 location
QuotationCharacteristics.model | A group collecting a set of characteristics that can be used to describe a quotation.
Content: | 14 elements
Defined: | globally; see XML source
Includes: | definitions of 12 elements
Used: | at 2 locations
QuoteLocation.model | A group describing where a quote was or will be obtained, e.g. observed or calculated.
Content: | 2 elements
Defined: | globally; see XML source
Includes: | definitions of 2 elements
Used: | at 1 location

XML Source

<?xml version="1.0" encoding="utf-8"?> <!-- == Copyright (c) 2002-2013 All rights reserved. == Financial Products Markup Language is subject to the FpML public license. == A copy of this license is available at http://www.fpml.org/license/license.html --> <xsd:schema attributeFormDefault="unqualified" ecore:documentRoot="FpML" ecore:nsPrefix="trnsp" ecore:package="org.fpml.transparency" elementFormDefault="qualified" targetNamespace="http://www.fpml.org/FpML-5/transparency" version="$Revision: 10093 $" xmlns="http://www.fpml.org/FpML-5/transparency" xmlns:ecore="http://www.eclipse.org/emf/2002/Ecore" xmlns:fpml-annotation="http://www.fpml.org/annotation" xmlns:xsd="http://www.w3.org/2001/XMLSchema"> <xsd:include schemaLocation="fpml-shared-5-5.xsd"/> <xsd:simpleType name="YearType"> <xsd:annotation> <xsd:documentation xml:lang="en">A type defining a year, from 2000-2999.</xsd:documentation> </xsd:annotation> <xsd:restriction base="xsd:normalizedString"> <xsd:pattern value="2[0-9][0-9][0-9]"/> </xsd:restriction> </xsd:simpleType> <xsd:complexType name="ActualPrice"> <xsd:sequence> <xsd:element minOccurs="0" name="currency" type="Currency"> <xsd:annotation> <xsd:documentation xml:lang="en"> Specifies the currency associated with the net price. This element is not present if the price is expressed in percentage terms (as specified through the priceExpression element). </xsd:documentation> </xsd:annotation> </xsd:element> <xsd:element minOccurs="0" name="amount" type="xsd:decimal"> <xsd:annotation> <xsd:documentation xml:lang="en"> Specifies the net price amount. In the case of a fixed income security or a convertible bond, this price includes the accrued interests. </xsd:documentation> </xsd:annotation> </xsd:element> <xsd:element minOccurs="0" name="priceExpression" type="PriceExpressionEnum"> <xsd:annotation> <xsd:documentation xml:lang="en"> Specifies whether the price is expressed in absolute or relative terms. </xsd:documentation> </xsd:annotation> </xsd:element> </xsd:sequence> </xsd:complexType> <xsd:complexType name="AnyAssetReference"> <xsd:annotation> <xsd:documentation xml:lang="en"> A reference to an asset, e.g. a portfolio, trade, or reference instrument.. </xsd:documentation> </xsd:annotation> <xsd:complexContent> <xsd:extension base="Reference"> <xsd:attribute name="href" type="xsd:IDREF" use="required"/> </xsd:extension> </xsd:complexContent> </xsd:complexType> <xsd:complexType abstract="true" name="Asset"> <xsd:annotation> <xsd:documentation xml:lang="en">Abstract base class for all underlying assets.</xsd:documentation> </xsd:annotation> <xsd:attribute name="id" type="xsd:ID"/> </xsd:complexType> <xsd:complexType name="AssetMeasureType"> <xsd:annotation> <xsd:documentation xml:lang="en"> A scheme identifying the types of measures that can be used to describe an asset. </xsd:documentation> </xsd:annotation> <xsd:simpleContent> <xsd:extension base="Scheme"> <xsd:attribute default="http://www.fpml.org/coding-scheme/asset-measure" name="assetMeasureScheme" type="xsd:anyURI"/> </xsd:extension> </xsd:simpleContent> </xsd:complexType> <xsd:complexType name="AssetPool"> <xsd:annotation> <xsd:documentation xml:lang="en"> Characterise the asset pool behind an asset backed bond. </xsd:documentation> </xsd:annotation> <xsd:sequence> <xsd:group minOccurs="0" ref="VersionHistory.model"/> <xsd:element minOccurs="0" name="initialFactor" type="xsd:decimal"> <xsd:annotation> <xsd:documentation xml:lang="en"> The part of the mortgage that is outstanding on trade inception, i.e. has not been repaid yet as principal. It is expressed as a multiplier factor to the morgage: 1 means that the whole mortage amount is outstanding, 0.8 means that 20% has been repaid. </xsd:documentation> </xsd:annotation> </xsd:element> <xsd:element minOccurs="0" name="currentFactor" type="xsd:decimal"> <xsd:annotation> <xsd:documentation xml:lang="en"> The part of the mortgage that is currently outstanding. It is expressed similarly to the initial factor, as factor multiplier to the mortgage. This term is formally defined as part of the "ISDA Standard Terms Supplement for use with credit derivatives transactions on mortgage-backed security with pas-as-you-go or physical settlement". </xsd:documentation> </xsd:annotation> </xsd:element> </xsd:sequence> </xsd:complexType> <xsd:complexType name="AssetReference"> <xsd:annotation> <xsd:documentation xml:lang="en">Reference to an underlying asset.</xsd:documentation> </xsd:annotation> <xsd:complexContent> <xsd:extension base="Reference"> <xsd:attribute ecore:reference="Asset" name="href" type="xsd:IDREF" use="required"/> </xsd:extension> </xsd:complexContent> </xsd:complexType> <xsd:complexType name="BasicQuotation"> <xsd:annotation> <xsd:documentation xml:lang="en"> Some kind of numerical measure about an asset, eg. its NPV, together with characteristics of that measure. </xsd:documentation> </xsd:annotation> <xsd:sequence> <xsd:group ref="Quotation.model"/> </xsd:sequence> <xsd:attribute name="id" type="xsd:ID"/> </xsd:complexType> <xsd:complexType name="Basket"> <xsd:annotation> <xsd:documentation xml:lang="en"> A type describing the underlyer features of a basket swap. Each of the basket constituents are described through an embedded component, the basketConstituentsType. </xsd:documentation> </xsd:annotation> <xsd:complexContent> <xsd:extension base="Asset"> <xsd:sequence> <xsd:element minOccurs="0" name="openUnits" type="xsd:decimal"> <xsd:annotation> <xsd:documentation xml:lang="en"> The number of units (index or securities) that constitute the underlyer of the swap. In the case of a basket swap, this element is used to reference both the number of basket units, and the number of each asset components of the basket when these are expressed in absolute terms. </xsd:documentation> </xsd:annotation> </xsd:element> <xsd:element maxOccurs="unbounded" name="basketConstituent" type="BasketConstituent"> <xsd:annotation> <xsd:documentation xml:lang="en">Describes each of the components of the basket.</xsd:documentation> </xsd:annotation> </xsd:element> <xsd:element minOccurs="0" name="basketDivisor" type="xsd:decimal"> <xsd:annotation> <xsd:documentation xml:lang="en"> Specifies the basket divisor amount. This value is normally used to adjust the constituent weight for pricing or to adjust for dividends, or other corporate actions. </xsd:documentation> </xsd:annotation> </xsd:element> <!-- APP added for EQS PSA CFD proposal --> <xsd:element minOccurs="0" name="basketVersion" type="xsd:nonNegativeInteger"> <xsd:annotation> <xsd:documentation xml:lang="en"> Basket version, used to record changes in basket composition or weights </xsd:documentation> </xsd:annotation> </xsd:element> <xsd:group minOccurs="0" ref="BasketIdentifier.model"> <xsd:annotation> <xsd:documentation xml:lang="en"> Reuses the group that specifies a name and an identifier for a given basket. </xsd:documentation> </xsd:annotation> </xsd:group> <xsd:element minOccurs="0" name="basketCurrency" type="Currency"> <xsd:annotation> <xsd:documentation xml:lang="en">Specifies the currency for this basket.</xsd:documentation> </xsd:annotation> </xsd:element> </xsd:sequence> </xsd:extension> </xsd:complexContent> </xsd:complexType> <xsd:complexType name="BasketConstituent"> <xsd:annotation> <xsd:documentation xml:lang="en"> A type describing each of the constituents of a basket. </xsd:documentation> </xsd:annotation> <xsd:sequence> <!-- APP added for EQS PSA CFD proposal --> <xsd:group minOccurs="0" ref="PayerReceiver.model"> <xsd:annotation> <xsd:documentation xml:lang="en"> Specifies the direction of performance payment of this underlyer constituent within the basket. This must be used where the basket contains a mix of long and short performance from the perspective of one party to the trade </xsd:documentation> </xsd:annotation> </xsd:group> <xsd:element ref="underlyingAsset"/> <xsd:element minOccurs="0" name="constituentWeight" type="ConstituentWeight"> <xsd:annotation> <xsd:documentation xml:lang="en"> Specifies the weight of each of the underlyer constituent within the basket, either in absolute or relative terms. This is an optional component, as certain swaps do not specify a specific weight for each of their basket constituents. </xsd:documentation> </xsd:annotation> </xsd:element> <xsd:element minOccurs="0" name="underlyerPrice" type="Price"> <xsd:annotation> <xsd:documentation xml:lang="en"> Specifies the price that is associated with each of the basket constituents. This component is optional, as it is not absolutely required to accurately describe the economics of the trade, considering the price that characterizes the equity swap is associated to the leg of the trade. </xsd:documentation> </xsd:annotation> </xsd:element> <xsd:element minOccurs="0" name="underlyerNotional" type="Money"> <xsd:annotation> <xsd:documentation xml:lang="en"> Specifies the notional (i.e. price * quantity) that is associated with each of the basket constituents. This component is optional, as it is not absolutely required to accurately describe the economics of the trade, considering the notional that characterizes the equity swap is associated to the leg of the trade. </xsd:documentation> </xsd:annotation> </xsd:element> <xsd:element minOccurs="0" name="underlyerSpread" type="SpreadScheduleReference"> <xsd:annotation> <xsd:documentation xml:lang="en"> Provides a link to the spread schedule used for this underlyer. </xsd:documentation> </xsd:annotation> </xsd:element> <!-- APP added for EQS PSA CFD proposal --> <xsd:element minOccurs="0" name="underlyerFinancing" type="UnderlyerInterestLeg"> <xsd:annotation> <xsd:documentation xml:lang="en">Financing terms associated with this underlyer</xsd:documentation> </xsd:annotation> </xsd:element> <!-- APP added for EQS PSA CFD proposal --> <xsd:element minOccurs="0" name="underlyerLoanRate" type="UnderlyerLoanRate"> <xsd:annotation> <xsd:documentation xml:lang="en"> Loan rate terms associated with this underlyer. Commonly used for stock loan. You must not duplicate data elements already contained within dividend conditions at transaction level </xsd:documentation> </xsd:annotation> </xsd:element> <!-- APP added for EQS PSA CFD proposal --> <xsd:element minOccurs="0" name="underlyerCollateral" type="Collateral"> <xsd:annotation> <xsd:documentation xml:lang="en"> Collateral associated with this underlyer. Note that this is not typical usage, collateral is more often at transaction level </xsd:documentation> </xsd:annotation> </xsd:element> </xsd:sequence> <xsd:attribute name="id" type="xsd:ID" use="optional"/> </xsd:complexType> <xsd:complexType name="BasketId"> <xsd:simpleContent> <xsd:extension base="Scheme"> <xsd:attribute name="basketIdScheme" type="xsd:anyURI"/> </xsd:extension> </xsd:simpleContent> </xsd:complexType> <xsd:complexType name="BasketName"> <xsd:simpleContent> <xsd:extension base="Scheme"> <xsd:attribute name="basketNameScheme" type="xsd:anyURI"/> </xsd:extension> </xsd:simpleContent> </xsd:complexType> <xsd:complexType name="Bond"> <xsd:annotation> <xsd:documentation xml:lang="en">An exchange traded bond.</xsd:documentation> </xsd:annotation> <xsd:complexContent> <xsd:extension base="UnderlyingAsset"> <xsd:sequence> <xsd:group ref="FixedIncomeSecurityContent.model"/> <xsd:element minOccurs="0" name="parValue" type="xsd:decimal"> <xsd:annotation> <xsd:documentation xml:lang="en"> Specifies the nominal amount of a fixed income security or convertible bond. </xsd:documentation> </xsd:annotation> </xsd:element> <xsd:element minOccurs="0" name="faceAmount" type="xsd:decimal"> <xsd:annotation> <xsd:documentation xml:lang="en"> Specifies the total amount of the issue. Corresponds to the par value multiplied by the number of issued security. </xsd:documentation> </xsd:annotation> </xsd:element> <xsd:group ref="BondCalculation.model"/> </xsd:sequence> </xsd:extension> </xsd:complexContent> </xsd:complexType> <xsd:complexType name="Cash"> <xsd:complexContent> <xsd:extension base="Asset"> <xsd:sequence> <xsd:element maxOccurs="unbounded" minOccurs="0" name="instrumentId" type="InstrumentId"> <xsd:annotation> <xsd:documentation xml:lang="en"> Identification of the underlying asset, using public and/or private identifiers. </xsd:documentation> </xsd:annotation> </xsd:element> <xsd:element minOccurs="0" name="description" type="xsd:string"> <xsd:annotation> <xsd:documentation xml:lang="en">Long name of the underlying asset.</xsd:documentation> </xsd:annotation> </xsd:element> <xsd:element minOccurs="0" name="currency" type="Currency"> <xsd:annotation> <xsd:documentation xml:lang="en">The currency in which an amount is denominated.</xsd:documentation> </xsd:annotation> </xsd:element> </xsd:sequence> </xsd:extension> </xsd:complexContent> </xsd:complexType> <xsd:complexType name="Commission"> <xsd:annotation> <xsd:documentation xml:lang="en"> A type describing the commission that will be charged for each of the hedge transactions. </xsd:documentation> </xsd:annotation> <xsd:sequence> <xsd:element minOccurs="0" name="commissionDenomination" type="CommissionDenominationEnum"> <xsd:annotation> <xsd:documentation xml:lang="en">The type of units used to express a commission.</xsd:documentation> </xsd:annotation> </xsd:element> <xsd:element minOccurs="0" name="commissionAmount" type="xsd:decimal"> <xsd:annotation> <xsd:documentation xml:lang="en"> The commission amount, expressed in the way indicated by the commissionType element. </xsd:documentation> </xsd:annotation> </xsd:element> <xsd:element minOccurs="0" name="currency" type="Currency"> <xsd:annotation> <xsd:documentation xml:lang="en">The currency in which an amount is denominated.</xsd:documentation> </xsd:annotation> </xsd:element> <xsd:element minOccurs="0" name="commissionPerTrade" type="xsd:decimal"> <xsd:annotation> <xsd:documentation xml:lang="en">The total commission per trade.</xsd:documentation> </xsd:annotation> </xsd:element> <xsd:element maxOccurs="unbounded" minOccurs="0" name="fxRate" type="FxRate"> <xsd:annotation> <xsd:documentation xml:lang="en"> FX Rates that have been used to convert commissions to a single currency. </xsd:documentation> </xsd:annotation> </xsd:element> </xsd:sequence> </xsd:complexType> <xsd:complexType name="Commodity"> <xsd:annotation> <xsd:documentation xml:lang="en">A type describing a commodity underlying asset.</xsd:documentation> <!--IY: ETTF pretrade IRS and CDS--> </xsd:annotation> <xsd:complexContent> <xsd:extension base="IdentifiedAsset"> <xsd:sequence> <xsd:group ref="CommodityProduct.model"/> </xsd:sequence> </xsd:extension> </xsd:complexContent> </xsd:complexType> <xsd:complexType name="CommodityBase"> <xsd:simpleContent> <xsd:extension base="Scheme"> <xsd:attribute name="commodityBaseScheme" type="xsd:anyURI"/> </xsd:extension> </xsd:simpleContent> </xsd:complexType> <xsd:complexType name="CommodityBusinessCalendar"> <xsd:annotation> <xsd:documentation xml:lang="en">Defines a commodity business day calendar.</xsd:documentation> </xsd:annotation> <xsd:simpleContent> <xsd:extension base="Scheme"> <xsd:attribute default="http://www.fpml.org/coding-scheme/commodity-business-calendar" name="commodityBusinessCalendarScheme" type="xsd:anyURI"/> </xsd:extension> </xsd:simpleContent> </xsd:complexType> <xsd:complexType name="CommodityDetails"> <xsd:simpleContent> <xsd:extension base="Scheme"> <xsd:attribute name="commodityDetailsScheme" type="xsd:anyURI"/> </xsd:extension> </xsd:simpleContent> </xsd:complexType> <xsd:complexType name="CommodityInformationProvider"> <xsd:annotation> <xsd:documentation xml:lang="en"> The publication in which the rate, price, index or factor is to be found. (e.g Gas Daily, Platts Bloomberg.) </xsd:documentation> </xsd:annotation> <xsd:simpleContent> <xsd:extension base="Scheme"> <xsd:attribute default="http://www.fpml.org/coding-scheme/commodity-information-provider" name="informationProviderScheme" type="xsd:anyURI"/> </xsd:extension> </xsd:simpleContent> </xsd:complexType> <xsd:complexType name="CommodityInformationSource"> <xsd:annotation> <xsd:documentation xml:lang="en"> A type defining the source of a commodity rate, price or index or of a market rate or of a conversion factor (e.g. a fx conversion factor). </xsd:documentation> </xsd:annotation> <xsd:sequence> <xsd:element minOccurs="0" name="rateSource" type="CommodityInformationProvider"> <xsd:annotation> <xsd:documentation xml:lang="en"> The publication in which the rate, price, index or factor is to be found. (e.g Gas Daily, Platts Bloomberg.) </xsd:documentation> </xsd:annotation> </xsd:element> <xsd:element minOccurs="0" name="rateSourcePage" type="RateSourcePage"> <xsd:annotation> <xsd:documentation xml:lang="en"> A specific page or screen (in the case of electronically published information) on which the rate source is to be found. </xsd:documentation> </xsd:annotation> </xsd:element> <xsd:element minOccurs="0" name="rateSourcePageHeading" type="xsd:string"> <xsd:annotation> <xsd:documentation xml:lang="en"> The heading for the rate source on a given rate source page or screen. </xsd:documentation> </xsd:annotation> </xsd:element> </xsd:sequence> </xsd:complexType> <xsd:complexType name="ConstituentWeight"> <xsd:annotation> <xsd:documentation xml:lang="en"> A type describing the weight of each of the underlyer constituent within the basket, either in absolute or relative terms. </xsd:documentation> </xsd:annotation> <xsd:sequence> <xsd:element minOccurs="0" name="openUnits" type="xsd:decimal"> <xsd:annotation> <xsd:documentation xml:lang="en"> The number of units (index or securities) that constitute the underlyer of the swap. In the case of a basket swap, this element is used to reference both the number of basket units, and the number of each asset components of the basket when these are expressed in absolute terms. </xsd:documentation> </xsd:annotation> </xsd:element> <xsd:element minOccurs="0" name="basketPercentage" type="RestrictedPercentage"> <xsd:annotation> <xsd:documentation xml:lang="en"> The relative weight of each respective basket constituent, expressed in percentage. A basket percentage of 5% would be represented as 0.05. </xsd:documentation> </xsd:annotation> </xsd:element> <xsd:element fpml-annotation:deprecated="true" fpml-annotation:deprecatedReason="Basket Amount is not present in ISDA documentation or otherwise, basket is weighted on percentage (relative weight) or open units (absolute weight), both of which are stable expressions." minOccurs="0" name="basketAmount" type="Money"> <xsd:annotation> <xsd:documentation xml:lang="en"> DEPRECATED. The relative weight of each respective basket constituent, expressed as a monetary amount. </xsd:documentation> </xsd:annotation> </xsd:element> </xsd:sequence> <!-- APP proposal for EQS PSA CFD - replaced "choice" with "sequence", made elements optional--> </xsd:complexType> <xsd:complexType name="ConvertibleBond"> <xsd:complexContent> <xsd:extension base="Bond"> <xsd:sequence> <xsd:element minOccurs="0" name="underlyingEquity" type="EquityAsset"> <xsd:annotation> <xsd:documentation xml:lang="en"> Specifies the equity in which the convertible bond can be converted. </xsd:documentation> </xsd:annotation> </xsd:element> <xsd:element minOccurs="0" name="redemptionDate" type="xsd:date"> <xsd:annotation> <xsd:documentation xml:lang="en"> Earlier date between the convertible bond put dates and its maturity date. </xsd:documentation> </xsd:annotation> </xsd:element> </xsd:sequence> </xsd:extension> </xsd:complexContent> </xsd:complexType> <xsd:complexType name="CouponType"> <xsd:annotation> <xsd:documentation xml:lang="en"> Defines a scheme of values for specifiying if the bond has a variable coupon, step-up/down coupon or a zero-coupon. </xsd:documentation> </xsd:annotation> <xsd:simpleContent> <xsd:extension base="Scheme"> <xsd:attribute default="http://www.fpml.org/coding-scheme/coupon-type" name="couponTypeScheme" type="xsd:anyURI"/> </xsd:extension> </xsd:simpleContent> </xsd:complexType> <xsd:complexType abstract="true" name="CurveInstrument"> <xsd:annotation> <xsd:documentation xml:lang="en"> Abstract base class for instruments intended to be used primarily for building curves. </xsd:documentation> </xsd:annotation> <xsd:complexContent> <xsd:extension base="IdentifiedAsset"> <xsd:sequence> <xsd:element minOccurs="0" name="currency" type="Currency"> <xsd:annotation> <xsd:documentation xml:lang="en"> Currency in which the underlying asset is denominated. </xsd:documentation> </xsd:annotation> </xsd:element> <xsd:element minOccurs="0" name="exchangeId" type="ExchangeId"> <xsd:annotation> <xsd:documentation xml:lang="en"> Identification of the exchange on which this asset is transacted for the purposes of calculating a contractural payoff. The term "Exchange" is assumed to have the meaning as defined in the ISDA 2002 Equity Derivatives Definitions. </xsd:documentation> </xsd:annotation> </xsd:element> <xsd:element minOccurs="0" name="clearanceSystem" type="ClearanceSystem"> <xsd:annotation> <xsd:documentation xml:lang="en"> Identification of the clearance system associated with the transaction exchange. </xsd:documentation> </xsd:annotation> </xsd:element> <xsd:element minOccurs="0" name="definition" type="ProductReference"> <xsd:annotation> <xsd:documentation xml:lang="en"> An optional reference to a full FpML product that defines the simple product in greater detail. In case of inconsistency between the terms of the simple product and those of the detailed definition, the values in the simple product override those in the detailed definition. </xsd:documentation> </xsd:annotation> </xsd:element> </xsd:sequence> </xsd:extension> </xsd:complexContent> </xsd:complexType> <xsd:complexType name="Deposit"> <xsd:complexContent> <xsd:extension base="UnderlyingAsset"> <xsd:sequence> <xsd:element minOccurs="0" name="term" type="Period"> <xsd:annotation> <xsd:documentation xml:lang="en">Specifies the term of the deposit, e.g. 5Y.</xsd:documentation> </xsd:annotation> </xsd:element> <xsd:element minOccurs="0" name="paymentFrequency" type="Period"> <xsd:annotation> <xsd:documentation xml:lang="en"> Specifies the frequency at which the deposit pays, e.g. 6M. </xsd:documentation> </xsd:annotation> </xsd:element> <xsd:element minOccurs="0" name="dayCountFraction" type="DayCountFraction"> <xsd:annotation> <xsd:documentation xml:lang="en">The day count basis for the deposit.</xsd:documentation> </xsd:annotation> </xsd:element> </xsd:sequence> </xsd:extension> </xsd:complexContent> </xsd:complexType> <xsd:complexType name="DividendPayout"> <xsd:annotation> <xsd:documentation xml:lang="en"> A type describing the dividend payout ratio associated with an equity underlyer. In certain cases the actual ratio is not known on trade inception, and only general conditions are then specified. </xsd:documentation> </xsd:annotation> <xsd:sequence> <xsd:choice minOccurs="0"> <!-- APP added for EQS PSA CFD proposal --> <xsd:sequence> <xsd:annotation> <xsd:documentation xml:lang="en"> A sequence group to describe the total, cash, and non cash dividend payout ratio associated with an equity underlyer. In certain cases the actual ratio is not known on trade inception, and only general conditions are then specified. Good practice is to specify only two of the three values, to avoid any inconsistency </xsd:documentation> </xsd:annotation> <xsd:element minOccurs="0" name="dividendPayoutRatio" type="xsd:decimal"> <xsd:annotation> <xsd:documentation xml:lang="en"> Specifies the total actual dividend payout ratio associated with the equity underlyer. </xsd:documentation> </xsd:annotation> </xsd:element> <xsd:element minOccurs="0" name="dividendPayoutRatioCash" type="xsd:decimal"> <xsd:annotation> <xsd:documentation xml:lang="en"> Specifies the cash actual dividend payout ratio associated with the equity underlyer. </xsd:documentation> </xsd:annotation> </xsd:element> <xsd:element minOccurs="0" name="dividendPayoutRatioNonCash" type="xsd:decimal"> <xsd:annotation> <xsd:documentation xml:lang="en"> Specifies the non cash actual dividend payout ratio associated with the equity underlyer. </xsd:documentation> </xsd:annotation> </xsd:element> </xsd:sequence> <xsd:element name="dividendPayoutConditions" type="xsd:string"> <xsd:annotation> <xsd:documentation xml:lang="en"> Specifies the dividend payout conditions that will be applied in the case where the actual ratio is not known, typically because of regulatory or legal uncertainties. </xsd:documentation> </xsd:annotation> </xsd:element> </xsd:choice> <xsd:element maxOccurs="unbounded" minOccurs="0" name="dividendPayment" type="PendingPayment"> <xsd:annotation> <xsd:documentation xml:lang="en">The next upcoming dividend payment or payments.</xsd:documentation> </xsd:annotation> </xsd:element> </xsd:sequence> </xsd:complexType> <xsd:complexType name="EquityAsset"> <xsd:annotation> <xsd:documentation xml:lang="en">An exchange traded equity asset.</xsd:documentation> </xsd:annotation> <xsd:complexContent> <xsd:extension base="ExchangeTraded"/> </xsd:complexContent> </xsd:complexType> <xsd:complexType abstract="true" name="ExchangeTraded"> <xsd:annotation> <xsd:documentation xml:lang="en"> An abstract base class for all exchange traded financial products. </xsd:documentation> </xsd:annotation> <xsd:complexContent> <xsd:extension base="UnderlyingAsset"> <xsd:sequence> <xsd:group ref="ExchangeIdentifier.model"/> </xsd:sequence> </xsd:extension> </xsd:complexContent> </xsd:complexType> <xsd:complexType abstract="true" name="ExchangeTradedCalculatedPrice"> <xsd:annotation> <xsd:documentation xml:lang="en"> Abstract base class for all exchange traded financial products with a price which is calculated from exchange traded constituents. </xsd:documentation> </xsd:annotation> <xsd:complexContent> <xsd:extension base="ExchangeTraded"> <xsd:sequence> <xsd:element maxOccurs="unbounded" minOccurs="0" name="constituentExchangeId" type="ExchangeId"> <xsd:annotation> <xsd:documentation xml:lang="en"> Identification of all the exchanges where constituents are traded. The term "Exchange" is assumed to have the meaning as defined in the ISDA 2002 Equity Derivatives Definitions. </xsd:documentation> </xsd:annotation> </xsd:element> </xsd:sequence> </xsd:extension> </xsd:complexContent> </xsd:complexType> <xsd:complexType name="ExchangeTradedContract"> <xsd:annotation> <xsd:documentation xml:lang="en">An exchange traded derivative contract.</xsd:documentation> </xsd:annotation> <xsd:complexContent> <xsd:extension base="ExchangeTraded"> <xsd:sequence> <xsd:element minOccurs="0" name="multiplier" type="xsd:positiveInteger"> <xsd:annotation> <xsd:documentation xml:lang="en"> Specifies the contract multiplier that can be associated with the number of units. </xsd:documentation> </xsd:annotation> </xsd:element> <xsd:element minOccurs="0" name="contractReference" type="xsd:string"> <xsd:annotation> <xsd:documentation xml:lang="en"> Specifies the contract that can be referenced, besides the undelyer type. </xsd:documentation> </xsd:annotation> </xsd:element> <xsd:element minOccurs="0" name="expirationDate" type="AdjustableOrRelativeDate"> <xsd:annotation> <xsd:documentation xml:lang="en">The date when the contract expires.</xsd:documentation> </xsd:annotation> </xsd:element> </xsd:sequence> </xsd:extension> </xsd:complexContent> </xsd:complexType> <xsd:complexType name="ExchangeTradedFund"> <xsd:annotation> <xsd:documentation xml:lang="en"> An exchange traded fund whose price depends on exchange traded constituents. </xsd:documentation> </xsd:annotation> <xsd:complexContent> <xsd:extension base="ExchangeTradedCalculatedPrice"> <xsd:sequence> <xsd:element minOccurs="0" name="fundManager" type="xsd:string"> <xsd:annotation> <xsd:documentation xml:lang="en"> Specifies the fund manager that is in charge of the fund. </xsd:documentation> </xsd:annotation> </xsd:element> </xsd:sequence> </xsd:extension> </xsd:complexContent> </xsd:complexType> <xsd:complexType name="ExchangeTradedOption"> <xsd:annotation> <xsd:documentation xml:lang="en">An exchange traded option.</xsd:documentation> </xsd:annotation> <xsd:complexContent> <xsd:extension base="ExchangeTradedContract"> <xsd:sequence> <xsd:element minOccurs="0" name="strike" type="xsd:decimal"> <xsd:annotation> <xsd:documentation xml:lang="en"> Specifies the price at which the option can be exercised. </xsd:documentation> </xsd:annotation> </xsd:element> <xsd:element minOccurs="0" name="optionType" type="PutCallEnum"> <xsd:annotation> <xsd:documentation xml:lang="en"> Specifies whether the option allows the hodler to buy or sell tne underlying asset. </xsd:documentation> </xsd:annotation> </xsd:element> </xsd:sequence> </xsd:extension> </xsd:complexContent> </xsd:complexType> <xsd:complexType name="FacilityType"> <xsd:annotation> <xsd:documentation xml:lang="en">A type describing the type of loan facility.</xsd:documentation> </xsd:annotation> <xsd:simpleContent> <xsd:extension base="Scheme"> <xsd:attribute default="http://www.fpml.org/coding-scheme/facility-type" name="facilityTypeScheme" type="xsd:anyURI"/> </xsd:extension> </xsd:simpleContent> </xsd:complexType> <xsd:complexType name="Future"> <xsd:annotation> <xsd:documentation xml:lang="en">An exchange traded future contract.</xsd:documentation> </xsd:annotation> <xsd:complexContent> <xsd:extension base="ExchangeTraded"> <xsd:sequence> <xsd:element minOccurs="0" name="multiplier" type="xsd:positiveInteger"> <xsd:annotation> <xsd:documentation xml:lang="en"> The multiplier is the minimum number of the underlying - index or stock - that a participant has to trade while taking a position in the Future contract. The purpose of the multiplier is to inflate the value of the contract to add leverage to the trade. The multiplier for the Dow is 10, for the Nasdaq it is 100 and it is 250 for the Standard and Poor's index. </xsd:documentation> </xsd:annotation> </xsd:element> <xsd:element minOccurs="0" name="futureContractReference" type="xsd:string"> <xsd:annotation> <xsd:documentation xml:lang="en"> Specifies the future contract that can be referenced, besides the equity or index reference defined as part of the UnderlyerAsset type. </xsd:documentation> </xsd:annotation> </xsd:element> <xsd:choice minOccurs="0"> <xsd:element name="maturity" type="xsd:date"> <xsd:annotation> <xsd:documentation xml:lang="en">The date when the future contract expires.</xsd:documentation> </xsd:annotation> </xsd:element> <xsd:element name="contractYearMonth" type="xsd:gYearMonth"> <xsd:annotation> <xsd:documentation xml:lang="en"> The contract month of the futures contract. i.e. F13 WTI NYMEX Contract is 2013-01. </xsd:documentation> </xsd:annotation> </xsd:element> </xsd:choice> </xsd:sequence> </xsd:extension> </xsd:complexContent> </xsd:complexType> <xsd:complexType name="FutureId"> <xsd:annotation> <xsd:documentation xml:lang="en"> A type defining a short form unique identifier for a future contract. </xsd:documentation> </xsd:annotation> <xsd:simpleContent> <xsd:extension base="Scheme"> <xsd:attribute name="futureIdScheme" type="xsd:anyURI"/> </xsd:extension> </xsd:simpleContent> </xsd:complexType> <xsd:complexType name="FxConversion"> <xsd:choice> <xsd:element name="amountRelativeTo" type="AmountReference"/> <xsd:element maxOccurs="unbounded" name="fxRate" type="FxRate"> <xsd:annotation> <xsd:documentation xml:lang="en">Specifies a currency conversion rate.</xsd:documentation> </xsd:annotation> </xsd:element> </xsd:choice> </xsd:complexType> <xsd:complexType name="FxRateAsset"> <xsd:complexContent> <xsd:extension base="UnderlyingAsset"> <xsd:sequence> <xsd:element minOccurs="0" name="quotedCurrencyPair" type="QuotedCurrencyPair"> <xsd:annotation> <xsd:documentation xml:lang="en"> Defines the two currencies for an FX trade and the quotation relationship between the two currencies. </xsd:documentation> </xsd:annotation> </xsd:element> <xsd:element minOccurs="0" name="rateSource" type="FxSpotRateSource"> <xsd:annotation> <xsd:documentation xml:lang="en">Defines the source of the FX rate.</xsd:documentation> </xsd:annotation> </xsd:element> </xsd:sequence> </xsd:extension> </xsd:complexContent> </xsd:complexType> <xsd:complexType abstract="true" name="IdentifiedAsset"> <xsd:annotation> <xsd:documentation xml:lang="en">A generic type describing an identified asset.</xsd:documentation> </xsd:annotation> <xsd:complexContent> <xsd:extension base="Asset"> <xsd:sequence> <xsd:element maxOccurs="unbounded" minOccurs="0" name="instrumentId" type="InstrumentId"> <xsd:annotation> <xsd:documentation xml:lang="en"> Identification of the underlying asset, using public and/or private identifiers. </xsd:documentation> </xsd:annotation> </xsd:element> <!--View Generation: SKIPPED description - Documentation--> </xsd:sequence> </xsd:extension> </xsd:complexContent> </xsd:complexType> <xsd:complexType name="Index"> <xsd:annotation> <xsd:documentation xml:lang="en"> A published index whose price depends on exchange traded constituents. </xsd:documentation> </xsd:annotation> <xsd:complexContent> <xsd:extension base="ExchangeTradedCalculatedPrice"> <xsd:sequence> <xsd:element minOccurs="0" name="futureId" type="FutureId"> <xsd:annotation> <xsd:documentation xml:lang="en"> A short form unique identifier for the reference future contract in the case of an index underlyer. </xsd:documentation> </xsd:annotation> </xsd:element> </xsd:sequence> </xsd:extension> </xsd:complexContent> </xsd:complexType> <xsd:complexType name="Lien"> <xsd:annotation> <xsd:documentation xml:lang="en"> A type describing the liens associated with a loan facility. </xsd:documentation> </xsd:annotation> <xsd:simpleContent> <xsd:extension base="Scheme"> <xsd:attribute default="http://www.fpml.org/coding-scheme/designated-priority" name="lienScheme" type="xsd:anyURI"/> </xsd:extension> </xsd:simpleContent> </xsd:complexType> <xsd:complexType name="Loan"> <xsd:annotation> <xsd:documentation xml:lang="en">A type describing a loan underlying asset.</xsd:documentation> </xsd:annotation> <xsd:complexContent> <xsd:extension base="UnderlyingAsset"> <xsd:sequence> <xsd:choice maxOccurs="unbounded" minOccurs="0"> <xsd:annotation> <xsd:documentation xml:lang="en"> Specifies the borrower. There can be more than one borrower. It is meant to be used in the event that there is no Bloomberg Id or the Secured List isn't applicable. </xsd:documentation> </xsd:annotation> <xsd:element name="borrower" type="LegalEntity"/> <xsd:element name="borrowerReference" type="LegalEntityReference"/> </xsd:choice> <xsd:element minOccurs="0" name="lien" type="Lien"> <xsd:annotation> <xsd:documentation xml:lang="en">Specifies the seniority level of the lien.</xsd:documentation> </xsd:annotation> </xsd:element> <xsd:element minOccurs="0" name="facilityType" type="FacilityType"> <xsd:annotation> <xsd:documentation xml:lang="en"> The type of loan facility (letter of credit, revolving, ...). </xsd:documentation> </xsd:annotation> </xsd:element> <xsd:element minOccurs="0" name="maturity" type="xsd:date"> <xsd:annotation> <xsd:documentation xml:lang="en"> The date when the principal amount of the loan becomes due and payable. </xsd:documentation> </xsd:annotation> </xsd:element> <xsd:element minOccurs="0" name="creditAgreementDate" type="xsd:date"> <xsd:annotation> <xsd:documentation xml:lang="en"> The credit agreement date is the closing date (the date where the agreement has been signed) for the loans in the credit agreement. Funding of the facilities occurs on (or sometimes a little after) the Credit Agreement date. This underlyer attribute is used to help identify which of the company's outstanding loans are being referenced by knowing to which credit agreement it belongs. ISDA Standards Terms Supplement term: Date of Original Credit Agreement. </xsd:documentation> </xsd:annotation> </xsd:element> <xsd:element minOccurs="0" name="tranche" type="UnderlyingAssetTranche"> <xsd:annotation> <xsd:documentation xml:lang="en"> The loan tranche that is subject to the derivative transaction. It will typically be referenced as the Bloomberg tranche number. ISDA Standards Terms Supplement term: Bloomberg Tranche Number. </xsd:documentation> </xsd:annotation> </xsd:element> </xsd:sequence> </xsd:extension> </xsd:complexContent> </xsd:complexType> <xsd:complexType name="Mortgage"> <xsd:annotation> <xsd:documentation xml:lang="en">A type describing a mortgage asset.</xsd:documentation> </xsd:annotation> <xsd:complexContent> <xsd:extension base="UnderlyingAsset"> <xsd:sequence> <xsd:choice minOccurs="0"> <xsd:annotation> <xsd:documentation> Applicable to the case of default swaps on MBS terms. For specifying the insurer name, when applicable (when the element is not present, it signifies that the insurer is Not Applicable) </xsd:documentation> </xsd:annotation> <xsd:element name="insurer" type="LegalEntity"/> <xsd:element name="insurerReference" type="LegalEntityReference"/> </xsd:choice> <xsd:group ref="FixedIncomeSecurityContent.model"/> <xsd:group ref="BondCalculation.model"/> <xsd:element minOccurs="0" name="originalPrincipalAmount" type="xsd:decimal"> <xsd:annotation> <xsd:documentation xml:lang="en"> The initial issued amount of the mortgage obligation. </xsd:documentation> </xsd:annotation> </xsd:element> <xsd:element minOccurs="0" name="pool" type="AssetPool"> <xsd:annotation> <xsd:documentation xml:lang="en"> The morgage pool that is underneath the mortgage obligation. </xsd:documentation> </xsd:annotation> </xsd:element> <xsd:element minOccurs="0" name="sector" type="MortgageSector"> <xsd:annotation> <xsd:documentation xml:lang="en"> The sector classification of the mortgage obligation. </xsd:documentation> </xsd:annotation> </xsd:element> <xsd:element minOccurs="0" name="tranche" type="xsd:token"> <xsd:annotation> <xsd:documentation xml:lang="en"> The mortgage obligation tranche that is subject to the derivative transaction. </xsd:documentation> </xsd:annotation> </xsd:element> </xsd:sequence> </xsd:extension> </xsd:complexContent> </xsd:complexType> <xsd:complexType name="MortgageSector"> <xsd:annotation> <xsd:documentation xml:lang="en"> A type describing the typology of mortgage obligations. </xsd:documentation> </xsd:annotation> <xsd:simpleContent> <xsd:extension base="Scheme"> <xsd:attribute default="http://www.fpml.org/coding-scheme/mortgage-sector" name="mortgageSectorScheme" type="xsd:anyURI"/> </xsd:extension> </xsd:simpleContent> </xsd:complexType> <xsd:complexType name="MutualFund"> <xsd:complexContent> <xsd:extension base="UnderlyingAsset"> <xsd:sequence> <xsd:element minOccurs="0" name="openEndedFund" type="xsd:boolean"> <xsd:annotation> <xsd:documentation xml:lang="en"> Boolean indicator to specify whether the mutual fund is an open-ended mutual fund. </xsd:documentation> </xsd:annotation> </xsd:element> <xsd:element minOccurs="0" name="fundManager" type="xsd:string"> <xsd:annotation> <xsd:documentation xml:lang="en"> Specifies the fund manager that is in charge of the fund. </xsd:documentation> </xsd:annotation> </xsd:element> </xsd:sequence> </xsd:extension> </xsd:complexContent> </xsd:complexType> <xsd:complexType name="PendingPayment"> <xsd:annotation> <xsd:documentation> A structure representing a pending dividend or coupon payment. </xsd:documentation> </xsd:annotation> <xsd:complexContent> <xsd:extension base="PaymentBase"> <xsd:sequence> <xsd:element minOccurs="0" name="paymentDate" type="xsd:date"> <xsd:annotation> <xsd:documentation xml:lang="en">The date that the dividend or coupon is due.</xsd:documentation> </xsd:annotation> </xsd:element> <xsd:element minOccurs="0" name="amount" type="Money"> <xsd:annotation> <xsd:documentation xml:lang="en"> The amount of the dividend or coupon payment. Value of dividends or coupon between ex and pay date. Stock: if we are between ex-date and pay-date and the dividend is payable under the swap, then this should be the ex-div amount * # of securities. Bond: regardless of where we are vis-a-vis resets: (coupon % * face of bonds on swap * (bond day count fraction using days last coupon pay date of the bond through today). </xsd:documentation> </xsd:annotation> </xsd:element> <xsd:element minOccurs="0" name="accruedInterest" type="Money"> <xsd:annotation> <xsd:documentation xml:lang="en"> Accrued interest on the dividend or coupon payment. When the TRS is structured to pay a dividend or coupon on reset after payable date, you may earn interest on these amounts. This field indicates the interest accrued on dividend/coupon from pay date to statement date. This will only apply to a handful of agreements where dividendss are held to the next reset AND you receive/pay interest on unpaid amounts. </xsd:documentation> </xsd:annotation> </xsd:element> </xsd:sequence> </xsd:extension> </xsd:complexContent> </xsd:complexType> <xsd:complexType name="Price"> <xsd:annotation> <xsd:documentation xml:lang="en">A type describing the strike price.</xsd:documentation> <!--IY: ETTF pretrade IRS and CDS--> </xsd:annotation> <xsd:sequence> <xsd:element minOccurs="0" name="commission" type="Commission"> <xsd:annotation> <xsd:documentation xml:lang="en"> This optional component specifies the commission to be charged for executing the hedge transactions. </xsd:documentation> </xsd:annotation> </xsd:element> <xsd:choice minOccurs="0"> <xsd:sequence> <xsd:element name="determinationMethod" type="DeterminationMethod"> <xsd:annotation> <xsd:documentation xml:lang="en"> Specifies the method according to which an amount or a date is determined. </xsd:documentation> </xsd:annotation> </xsd:element> <!--View Generation: SKIPPED - Technical --> </xsd:sequence> <xsd:element name="amountRelativeTo" type="AmountReference"> <xsd:annotation> <xsd:documentation xml:lang="en"> The href attribute value will be a pointer style reference to the element or component elsewhere in the document where the anchor amount is defined. </xsd:documentation> </xsd:annotation> </xsd:element> <xsd:group ref="EquityPrice.model"/> </xsd:choice> <xsd:element minOccurs="0" name="cleanNetPrice" type="xsd:decimal"> <xsd:annotation> <xsd:documentation xml:lang="en"> The net price excluding accrued interest. The "Dirty Price" for bonds is put in the "netPrice" element, which includes accrued interest. Thus netPrice - cleanNetPrice = accruedInterest. The currency and price expression for this field are the same as those for the (dirty) netPrice. </xsd:documentation> </xsd:annotation> </xsd:element> <xsd:element minOccurs="0" name="quotationCharacteristics" type="QuotationCharacteristics"> <xsd:annotation> <xsd:documentation> Allows information about how the price was quoted to be provided. </xsd:documentation> </xsd:annotation> </xsd:element> </xsd:sequence> </xsd:complexType> <xsd:complexType name="PriceQuoteUnits"> <xsd:annotation> <xsd:documentation source="http://www.FpML.org" xml:lang="en">The units in which a price is quoted.</xsd:documentation> </xsd:annotation> <xsd:simpleContent> <xsd:extension base="Scheme"> <xsd:attribute default="http://www.fpml.org/coding-scheme/price-quote-units" name="priceQuoteUnitsScheme" type="xsd:anyURI"/> </xsd:extension> </xsd:simpleContent> </xsd:complexType> <xsd:complexType name="PricingModel"> <xsd:annotation> <xsd:documentation xml:lang="en"> A scheme identifying the types of pricing model used to evaluate the price of an asset. Examples include Intrinsic, ClosedForm, MonteCarlo, BackwardInduction. </xsd:documentation> </xsd:annotation> <xsd:simpleContent> <xsd:extension base="Scheme"> <xsd:attribute default="http://www.fpml.org/coding-scheme/pricing-model" name="pricingModelScheme" type="xsd:anyURI"/> </xsd:extension> </xsd:simpleContent> </xsd:complexType> <xsd:complexType name="QuantityUnit"> <xsd:simpleContent> <xsd:extension base="Scheme"> <xsd:attribute default="http://www.fpml.org/coding-scheme/price-quote-units" name="quantityUnitScheme" type="xsd:anyURI"/> </xsd:extension> </xsd:simpleContent> </xsd:complexType> <xsd:complexType name="QuotationCharacteristics"> <xsd:annotation> <xsd:documentation xml:lang="en"> A type representing a set of characteristics that describe a quotation. </xsd:documentation> </xsd:annotation> <xsd:sequence> <xsd:group ref="QuotationCharacteristics.model"/> </xsd:sequence> </xsd:complexType> <xsd:complexType name="QuoteTiming"> <xsd:annotation> <xsd:documentation source="http://www.FpML.org" xml:lang="en">The type of the time of the quote.</xsd:documentation> </xsd:annotation> <xsd:simpleContent> <xsd:extension base="Scheme"> <xsd:attribute default="http://www.fpml.org/coding-scheme/quote-timing" name="quoteTimingScheme" type="xsd:anyURI"/> </xsd:extension> </xsd:simpleContent> </xsd:complexType> <xsd:complexType name="RateIndex"> <xsd:complexContent> <xsd:extension base="UnderlyingAsset"> <xsd:sequence> <xsd:element minOccurs="0" name="floatingRateIndex" type="FloatingRateIndex"/> <xsd:element minOccurs="0" name="term" type="Period"> <xsd:annotation> <xsd:documentation xml:lang="en">Specifies the term of the simple swap, e.g. 5Y.</xsd:documentation> </xsd:annotation> </xsd:element> <xsd:element minOccurs="0" name="paymentFrequency" type="Period"> <xsd:annotation> <xsd:documentation xml:lang="en"> Specifies the frequency at which the index pays, e.g. 6M. </xsd:documentation> </xsd:annotation> </xsd:element> <xsd:element minOccurs="0" name="dayCountFraction" type="DayCountFraction"> <xsd:annotation> <xsd:documentation xml:lang="en">The day count basis for the index.</xsd:documentation> </xsd:annotation> </xsd:element> </xsd:sequence> </xsd:extension> </xsd:complexContent> </xsd:complexType> <xsd:complexType name="ReportingCurrencyType"> <xsd:annotation> <xsd:documentation xml:lang="en"> A scheme identifying the type of currency that was used to report the value of an asset. For example, this could contain values like SettlementCurrency, QuoteCurrency, UnitCurrency, etc. </xsd:documentation> </xsd:annotation> <xsd:simpleContent> <xsd:extension base="Scheme"> <xsd:attribute default="http://www.fpml.org/coding-scheme/reporting-currency-type" name="reportingCurrencyTypeScheme" type="xsd:anyURI"/> </xsd:extension> </xsd:simpleContent> </xsd:complexType> <xsd:complexType name="SimpleCreditDefaultSwap"> <xsd:complexContent> <xsd:extension base="UnderlyingAsset"> <xsd:sequence> <xsd:group ref="CreditEntity.model"> <xsd:annotation> <xsd:documentation xml:lang="en"> The reference entity, index, etc. upon which the CDS is based. </xsd:documentation> </xsd:annotation> </xsd:group> <xsd:element minOccurs="0" name="term" type="Period"> <xsd:annotation> <xsd:documentation xml:lang="en"> Specifies the term of the simple CD swap, e.g. 5Y. </xsd:documentation> </xsd:annotation> </xsd:element> <xsd:element minOccurs="0" name="paymentFrequency" type="Period"> <xsd:annotation> <xsd:documentation xml:lang="en"> Specifies the frequency at which the swap pays, e.g. 6M. </xsd:documentation> </xsd:annotation> </xsd:element> </xsd:sequence> </xsd:extension> </xsd:complexContent> </xsd:complexType> <xsd:complexType name="SimpleFra"> <xsd:complexContent> <xsd:extension base="UnderlyingAsset"> <xsd:sequence> <xsd:element minOccurs="0" name="startTerm" type="Period"> <xsd:annotation> <xsd:documentation xml:lang="en"> Specifies the start term of the simple fra, e.g. 3M. </xsd:documentation> </xsd:annotation> </xsd:element> <xsd:element minOccurs="0" name="endTerm" type="Period"> <xsd:annotation> <xsd:documentation xml:lang="en"> Specifies the end term of the simple fra, e.g. 9M. </xsd:documentation> </xsd:annotation> </xsd:element> <xsd:element minOccurs="0" name="dayCountFraction" type="DayCountFraction"> <xsd:annotation> <xsd:documentation xml:lang="en">The day count basis for the FRA.</xsd:documentation> </xsd:annotation> </xsd:element> </xsd:sequence> </xsd:extension> </xsd:complexContent> </xsd:complexType> <xsd:complexType name="SimpleIRSwap"> <xsd:complexContent> <xsd:extension base="UnderlyingAsset"> <xsd:sequence> <xsd:element minOccurs="0" name="term" type="Period"> <xsd:annotation> <xsd:documentation xml:lang="en">Specifies the term of the simple swap, e.g. 5Y.</xsd:documentation> </xsd:annotation> </xsd:element> <xsd:element minOccurs="0" name="paymentFrequency" type="Period"> <xsd:annotation> <xsd:documentation xml:lang="en"> Specifies the frequency at which the swap pays, e.g. 6M. </xsd:documentation> </xsd:annotation> </xsd:element> <xsd:element minOccurs="0" name="dayCountFraction" type="DayCountFraction"> <xsd:annotation> <xsd:documentation xml:lang="en">The day count basis for the swap.</xsd:documentation> </xsd:annotation> </xsd:element> </xsd:sequence> </xsd:extension> </xsd:complexContent> </xsd:complexType> <xsd:complexType name="SingleUnderlyer"> <xsd:annotation> <xsd:documentation xml:lang="en">A type describing a single underlyer</xsd:documentation> </xsd:annotation> <xsd:sequence> <xsd:element ref="underlyingAsset"/> <xsd:element minOccurs="0" name="openUnits" type="xsd:decimal"> <xsd:annotation> <xsd:documentation xml:lang="en"> The number of units (index or securities) that constitute the underlyer of the swap. In the case of a basket swap, this element is used to reference both the number of basket units, and the number of each asset components of the basket when these are expressed in absolute terms. </xsd:documentation> </xsd:annotation> </xsd:element> <xsd:element minOccurs="0" name="dividendPayout" type="DividendPayout"> <xsd:annotation> <xsd:documentation xml:lang="en"> Specifies the dividend payout ratio associated with an equity underlyer. A basket swap can have different payout ratios across the various underlying constituents. In certain cases the actual ratio is not known on trade inception, and only general conditions are then specified. Users should note that FpML makes a distinction between the derivative contract and the underlyer of the contract. It would be better if the agreed dividend payout on a derivative contract was modelled at the level of the derivative contract, an approach which may be adopted in the next major version of FpML. </xsd:documentation> </xsd:annotation> </xsd:element> <xsd:element minOccurs="0" name="couponPayment" type="PendingPayment"> <xsd:annotation> <xsd:documentation xml:lang="en">The next upcoming coupon payment.</xsd:documentation> </xsd:annotation> </xsd:element> <xsd:element minOccurs="0" name="averageDailyTradingVolume" type="AverageDailyTradingVolumeLimit"> <xsd:annotation> <xsd:documentation xml:lang="en"> The average amount of individual securities traded in a day or over a specified amount of time. </xsd:documentation> </xsd:annotation> </xsd:element> <xsd:element minOccurs="0" name="depositoryReceipt" type="xsd:boolean"> <xsd:annotation> <xsd:documentation xml:lang="en"> A Depository Receipt is a negotiable certificate issued by a trust company or security depository. This element is used to represent whether a Depository Receipt is applicable or not to the underlyer. </xsd:documentation> </xsd:annotation> </xsd:element> </xsd:sequence> </xsd:complexType> <xsd:complexType name="Underlyer"> <xsd:annotation> <xsd:documentation xml:lang="en"> A type describing the whole set of possible underlyers: single underlyers or multiple underlyers, each of these having either security or index components. </xsd:documentation> </xsd:annotation> <xsd:choice> <xsd:element name="singleUnderlyer" type="SingleUnderlyer"> <xsd:annotation> <xsd:documentation xml:lang="en"> Describes the swap's underlyer when it has only one asset component. </xsd:documentation> </xsd:annotation> </xsd:element> <xsd:element name="basket" type="Basket"> <xsd:annotation> <xsd:documentation xml:lang="en"> Describes the swap's underlyer when it has multiple asset components. </xsd:documentation> </xsd:annotation> </xsd:element> </xsd:choice> </xsd:complexType> <xsd:complexType abstract="true" name="UnderlyingAsset"> <xsd:annotation> <xsd:documentation xml:lang="en">Abstract base class for all underlying assets.</xsd:documentation> </xsd:annotation> <xsd:complexContent> <xsd:extension base="IdentifiedAsset"> <xsd:sequence> <xsd:element minOccurs="0" name="currency" type="IdentifiedCurrency"> <xsd:annotation> <xsd:documentation xml:lang="en"> Trading currency of the underlyer when transacted as a cash instrument. </xsd:documentation> </xsd:annotation> </xsd:element> <xsd:element minOccurs="0" name="exchangeId" type="ExchangeId"> <xsd:annotation> <xsd:documentation xml:lang="en"> Identification of the exchange on which this asset is transacted for the purposes of calculating a contractural payoff. The term "Exchange" is assumed to have the meaning as defined in the ISDA 2002 Equity Derivatives Definitions. </xsd:documentation> </xsd:annotation> </xsd:element> <xsd:element minOccurs="0" name="clearanceSystem" type="ClearanceSystem"> <xsd:annotation> <xsd:documentation xml:lang="en"> Identification of the clearance system associated with the transaction exchange. </xsd:documentation> </xsd:annotation> </xsd:element> <xsd:element minOccurs="0" name="definition" type="ProductReference"> <xsd:annotation> <xsd:documentation xml:lang="en"> An optional reference to a full FpML product that defines the simple product in greater detail. In case of inconsistency between the terms of the simple product and those of the detailed definition, the values in the simple product override those in the detailed definition. </xsd:documentation> </xsd:annotation> </xsd:element> </xsd:sequence> </xsd:extension> </xsd:complexContent> </xsd:complexType> <xsd:complexType name="UnderlyingAssetTranche"> <xsd:simpleContent> <xsd:extension base="Scheme"> <xsd:attribute name="loanTrancheScheme" type="xsd:anyURI"/> </xsd:extension> </xsd:simpleContent> </xsd:complexType> <!-- APP added for EQS PSA CFD proposal --> <xsd:complexType name="UnderlyerLoanRate"> <xsd:annotation> <xsd:documentation xml:lang="en"> Defines stock loan information where this is required per underlyer. You must not duplicate infromation within dividend conditions at transaction level </xsd:documentation> </xsd:annotation> <xsd:sequence> <xsd:group ref="StockLoan.model"/> </xsd:sequence> </xsd:complexType> <xsd:element name="basket" substitutionGroup="underlyingAsset" type="Basket"> <xsd:annotation> <xsd:documentation xml:lang="en">Defines the underlying asset when it is a basket.</xsd:documentation> </xsd:annotation> </xsd:element> <xsd:element name="bond" substitutionGroup="underlyingAsset" type="Bond"> <xsd:annotation> <xsd:documentation xml:lang="en"> Identifies the underlying asset when it is a series or a class of bonds. </xsd:documentation> </xsd:annotation> </xsd:element> <xsd:element name="cash" substitutionGroup="underlyingAsset" type="Cash"> <xsd:annotation> <xsd:documentation xml:lang="en"> Identifies a simple underlying asset type that is a cash payment. Used for specifying discounting factors for future cash flows in the pricing and risk model. </xsd:documentation> </xsd:annotation> </xsd:element> <xsd:element name="commodity" substitutionGroup="underlyingAsset" type="Commodity"> <xsd:annotation> <xsd:documentation xml:lang="en"> Identifies the underlying asset when it is a listed commodity. </xsd:documentation> <!--IY: ETTF pretrade IRS and CDS--> </xsd:annotation> </xsd:element> <xsd:element name="convertibleBond" substitutionGroup="underlyingAsset" type="ConvertibleBond"> <xsd:annotation> <xsd:documentation xml:lang="en"> Identifies the underlying asset when it is a convertible bond. </xsd:documentation> </xsd:annotation> </xsd:element> <xsd:element abstract="true" name="curveInstrument" type="Asset"> <xsd:annotation> <xsd:documentation xml:lang="en"> Defines the underlying asset when it is a curve instrument. </xsd:documentation> </xsd:annotation> </xsd:element> <xsd:element name="deposit" substitutionGroup="curveInstrument" type="Deposit"> <xsd:annotation> <xsd:documentation xml:lang="en"> Identifies a simple underlying asset that is a term deposit. </xsd:documentation> </xsd:annotation> </xsd:element> <xsd:element name="equity" substitutionGroup="underlyingAsset" type="EquityAsset"> <xsd:annotation> <xsd:documentation xml:lang="en"> Identifies the underlying asset when it is a listed equity. </xsd:documentation> </xsd:annotation> </xsd:element> <xsd:element name="exchangeTradedFund" substitutionGroup="underlyingAsset" type="ExchangeTradedFund"> <xsd:annotation> <xsd:documentation xml:lang="en"> Identifies the underlying asset when it is an exchange-traded fund. </xsd:documentation> </xsd:annotation> </xsd:element> <xsd:element name="future" substitutionGroup="underlyingAsset" type="Future"> <xsd:annotation> <xsd:documentation xml:lang="en"> Identifies the underlying asset when it is a listed future contract. </xsd:documentation> </xsd:annotation> </xsd:element> <xsd:element name="fx" substitutionGroup="curveInstrument" type="FxRateAsset"> <xsd:annotation> <xsd:documentation xml:lang="en"> Identifies a simple underlying asset type that is an FX rate. Used for specifying FX rates in the pricing and risk model. </xsd:documentation> </xsd:annotation> </xsd:element> <xsd:element name="index" substitutionGroup="underlyingAsset" type="Index"> <xsd:annotation> <xsd:documentation xml:lang="en"> Identifies the underlying asset when it is a financial index. </xsd:documentation> </xsd:annotation> </xsd:element> <xsd:element name="loan" substitutionGroup="underlyingAsset" type="Loan"> <xsd:annotation> <xsd:documentation xml:lang="en"> Identifies a simple underlying asset that is a loan. </xsd:documentation> </xsd:annotation> </xsd:element> <xsd:element name="mortgage" substitutionGroup="underlyingAsset" type="Mortgage"> <xsd:annotation> <xsd:documentation xml:lang="en">Identifies a mortgage backed security.</xsd:documentation> </xsd:annotation> </xsd:element> <xsd:element name="mutualFund" substitutionGroup="underlyingAsset" type="MutualFund"> <xsd:annotation> <xsd:documentation xml:lang="en">Identifies the class of unit issued by a fund.</xsd:documentation> </xsd:annotation> </xsd:element> <xsd:element name="option" substitutionGroup="underlyingAsset" type="ExchangeTradedOption"> <xsd:annotation> <xsd:documentation xml:lang="en"> Identifies the underlying asset when it is a listed option contract. </xsd:documentation> </xsd:annotation> </xsd:element> <xsd:element name="rateIndex" substitutionGroup="curveInstrument" type="RateIndex"> <xsd:annotation> <xsd:documentation xml:lang="en"> Identifies a simple underlying asset that is an interest rate index. Used for specifying benchmark assets in the market environment in the pricing and risk model. </xsd:documentation> </xsd:annotation> </xsd:element> <xsd:element name="simpleCreditDefaultSwap" substitutionGroup="curveInstrument" type="SimpleCreditDefaultSwap"> <xsd:annotation> <xsd:documentation xml:lang="en"> Identifies a simple underlying asset that is a credit default swap. </xsd:documentation> </xsd:annotation> </xsd:element> <xsd:element name="simpleFra" substitutionGroup="curveInstrument" type="SimpleFra"> <xsd:annotation> <xsd:documentation xml:lang="en"> Identifies a simple underlying asset that is a forward rate agreement. </xsd:documentation> </xsd:annotation> </xsd:element> <xsd:element name="simpleIrSwap" substitutionGroup="curveInstrument" type="SimpleIRSwap"> <xsd:annotation> <xsd:documentation xml:lang="en"> Identifies a simple underlying asset that is a swap. </xsd:documentation> </xsd:annotation> </xsd:element> <xsd:element abstract="true" name="underlyingAsset" type="Asset"> <xsd:annotation> <xsd:documentation xml:lang="en"> Define the underlying asset, either a listed security or other instrument. </xsd:documentation> </xsd:annotation> </xsd:element> <xsd:group name="BasketIdentifier.model"> <xsd:annotation> <xsd:documentation xml:lang="en"> A group that specifies a name and an identifier for a given basket. </xsd:documentation> </xsd:annotation> <xsd:choice> <xsd:sequence> <xsd:element minOccurs="0" name="basketName" type="BasketName"> <xsd:annotation> <xsd:documentation xml:lang="en"> The name of the basket expressed as a free format string. FpML does not define usage rules for this element. </xsd:documentation> </xsd:annotation> </xsd:element> <xsd:element maxOccurs="unbounded" minOccurs="0" name="basketId" type="BasketId"> <xsd:annotation> <xsd:documentation xml:lang="en">A CDS basket identifier</xsd:documentation> </xsd:annotation> </xsd:element> </xsd:sequence> <!--View Generation: SKIPPED basketId - Technical--> </xsd:choice> </xsd:group> <xsd:group name="BondCalculation.model"> <xsd:annotation> <xsd:documentation xml:lang="en">A group that specifies Bond Calculation elements.</xsd:documentation> </xsd:annotation> <xsd:sequence> <xsd:element minOccurs="0" name="paymentFrequency" type="Period"> <xsd:annotation> <xsd:documentation xml:lang="en"> Specifies the frequency at which the bond pays, e.g. 6M. </xsd:documentation> </xsd:annotation> </xsd:element> <xsd:element minOccurs="0" name="dayCountFraction" type="DayCountFraction"> <xsd:annotation> <xsd:documentation xml:lang="en">The day count basis for the bond.</xsd:documentation> </xsd:annotation> </xsd:element> </xsd:sequence> </xsd:group> <xsd:group name="BondChoice.model"> <xsd:annotation> <xsd:documentation xml:lang="en"> A model group which provides choices between all bond underlyers. </xsd:documentation> </xsd:annotation> <xsd:choice> <xsd:element ref="bond"> <xsd:annotation> <xsd:documentation xml:lang="en">A bond instrument referenced by a contract</xsd:documentation> </xsd:annotation> </xsd:element> <xsd:element ref="convertibleBond"> <xsd:annotation> <xsd:documentation xml:lang="en"> A convertible bond instrument referenced by a contract. </xsd:documentation> </xsd:annotation> </xsd:element> </xsd:choice> </xsd:group> <xsd:group name="CommodityProduct.model"> <xsd:annotation> <xsd:documentation xml:lang="en"> A group used to specify details of a commodity underlyer. </xsd:documentation> <!--IY: ETTF pretrade IRS and CDS--> </xsd:annotation> <xsd:sequence> <xsd:group minOccurs="0" ref="CommodityReferencePriceFramework.model"/> <xsd:element name="specifiedPrice" type="SpecifiedPriceEnum"> <xsd:annotation> <xsd:documentation xml:lang="en"> The 'specified Price' describes the nature of the underlying price that is observed. It must be be stated in the underlyer definition as it is not defined in the Commodity Reference Price. Example values of 'specifiedPrice' are 'Settlement' (for a futures contract) and 'WeightedAverage' (for some published prices and indices). </xsd:documentation> </xsd:annotation> </xsd:element> <xsd:sequence minOccurs="0"> <!--View Generation: Removed a degenerate choice.--> <xsd:element name="deliveryDates" type="DeliveryDatesEnum"> <xsd:annotation> <xsd:documentation xml:lang="en"> The 'deliveryDates' element is applicable for a Commodity Reference Price that references a listed future contract (e.g. The Delivery Date is a NearbyMonth). </xsd:documentation> </xsd:annotation> </xsd:element> <!--View Generation: SKIPPED deliveryDateRollConvention - NonStandardFeature--> </xsd:sequence> <!--View Generation: SKIPPED multiplier - NonStandardFeature--> </xsd:sequence> </xsd:group> <xsd:group name="CommodityReferencePriceFramework.model"> <xsd:annotation> <xsd:documentation> A group used to specify the commodity underlyer in the event that no ISDA Commofity Reference Price exists. </xsd:documentation> </xsd:annotation> <xsd:sequence> <xsd:element minOccurs="0" name="commodityBase" type="CommodityBase"> <xsd:annotation> <xsd:documentation xml:lang="en"> A coding scheme value to identify the base type of the commodity being traded. Where possible, this should follow the naming convention used in the 2005 ISDA Commodity Definitions. For example, 'Oil'. </xsd:documentation> </xsd:annotation> </xsd:element> <!--View Generation: SKIPPED commodityDetails - NonStandardFeature--> <!--View Generation: SKIPPED unit - NonStandardFeature--> <!--View Generation: SKIPPED currency - NonStandardFeature--> <!--View Generation: Skipped an empty choice.--> </xsd:sequence> </xsd:group> <xsd:group name="CreditEntity.model"> <xsd:annotation> <xsd:documentation xml:lang="en"> An item which has credit characteristics that can be modeled, e.g. a firm, index, or region. </xsd:documentation> </xsd:annotation> <xsd:choice> <xsd:element name="referenceEntity" type="LegalEntity"> <xsd:annotation> <xsd:documentation xml:lang="en">The entity for which this is defined.</xsd:documentation> </xsd:annotation> </xsd:element> <xsd:element name="creditEntityReference" type="LegalEntityReference"> <xsd:annotation> <xsd:documentation xml:lang="en"> An XML reference a credit entity defined elsewhere in the document. </xsd:documentation> </xsd:annotation> </xsd:element> </xsd:choice> </xsd:group> <xsd:group name="EquityPrice.model"> <xsd:sequence> <xsd:element minOccurs="0" name="grossPrice" type="ActualPrice"> <xsd:annotation> <xsd:documentation xml:lang="en"> Specifies the price of the underlyer, before commissions. </xsd:documentation> </xsd:annotation> </xsd:element> <xsd:element minOccurs="0" name="netPrice" type="ActualPrice"> <xsd:annotation> <xsd:documentation xml:lang="en"> Specifies the price of the underlyer, net of commissions. </xsd:documentation> </xsd:annotation> </xsd:element> <xsd:element minOccurs="0" name="accruedInterestPrice" type="xsd:decimal"> <xsd:annotation> <xsd:documentation xml:lang="en"> Specifies the accrued interest that are part of the dirty price in the case of a fixed income security or a convertible bond. Expressed in percentage of the notional. </xsd:documentation> </xsd:annotation> </xsd:element> <xsd:element minOccurs="0" name="fxConversion" type="FxConversion"> <xsd:annotation> <xsd:documentation xml:lang="en"> Specifies the currency conversion rate that applies to an amount. This rate can either be defined elsewhere in the document (case of a quanto swap), or explicitly described through this component. </xsd:documentation> </xsd:annotation> </xsd:element> </xsd:sequence> </xsd:group> <xsd:group name="ExchangeIdentifier.model"> <xsd:sequence> <xsd:element maxOccurs="unbounded" minOccurs="0" name="relatedExchangeId" type="ExchangeId"> <xsd:annotation> <xsd:documentation xml:lang="en"> A short form unique identifier for a related exchange. If the element is not present then the exchange shall be the primary exchange on which listed futures and options on the underlying are listed. The term "Exchange" is assumed to have the meaning as defined in the ISDA 2002 Equity Derivatives Definitions. </xsd:documentation> </xsd:annotation> </xsd:element> <xsd:element maxOccurs="unbounded" minOccurs="0" name="optionsExchangeId" type="ExchangeId"> <xsd:annotation> <xsd:documentation xml:lang="en"> A short form unique identifier for an exchange on which the reference option contract is listed. This is to address the case where the reference exchange for the future is different than the one for the option. The options Exchange is referenced on share options when Merger Elections are selected as Options Exchange Adjustment. </xsd:documentation> </xsd:annotation> </xsd:element> <xsd:element maxOccurs="unbounded" minOccurs="0" name="specifiedExchangeId" type="ExchangeId"> <xsd:annotation> <xsd:documentation xml:lang="en"> A short form unique identifier for a specified exchange. If the element is not present then the exchange shall be default terms as defined in the MCA; unless otherwise specified in the Transaction Supplement. </xsd:documentation> </xsd:annotation> </xsd:element> </xsd:sequence> </xsd:group> <xsd:group name="FixedIncomeSecurityContent.model"> <xsd:annotation> <xsd:documentation xml:lang="en">A group that specifies Bond Content elements.</xsd:documentation> </xsd:annotation> <xsd:sequence> <xsd:choice minOccurs="0"> <xsd:annotation> <xsd:documentation xml:lang="en"> Specifies the issuer name of a fixed income security or convertible bond. This name can either be explicitly stated, or specified as an href into another element of the document, such as the obligor. </xsd:documentation> </xsd:annotation> <xsd:element name="issuerName" type="xsd:string"/> <xsd:element name="issuerPartyReference" type="PartyReference"/> </xsd:choice> <xsd:element minOccurs="0" name="seniority" type="CreditSeniority"> <xsd:annotation> <xsd:documentation xml:lang="en">The repayment precedence of a debt instrument.</xsd:documentation> </xsd:annotation> </xsd:element> <xsd:element minOccurs="0" name="couponType" type="CouponType"> <xsd:annotation> <xsd:documentation xml:lang="en"> Specifies if the bond has a variable coupon, step-up/down coupon or a zero-coupon. </xsd:documentation> </xsd:annotation> </xsd:element> <xsd:element minOccurs="0" name="couponRate" type="xsd:decimal"> <xsd:annotation> <xsd:documentation xml:lang="en"> Specifies the coupon rate (expressed in percentage) of a fixed income security or convertible bond. </xsd:documentation> </xsd:annotation> </xsd:element> <xsd:element minOccurs="0" name="maturity" type="xsd:date"> <xsd:annotation> <xsd:documentation xml:lang="en"> The date when the principal amount of a security becomes due and payable. </xsd:documentation> </xsd:annotation> </xsd:element> </xsd:sequence> </xsd:group> <xsd:group name="Quotation.model"> <xsd:annotation> <xsd:documentation xml:lang="en"> Some kind of numerical measure about an asset, eg. its price or NPV, together with characteristics of that measure. </xsd:documentation> </xsd:annotation> <xsd:sequence> <xsd:element minOccurs="0" name="value" type="xsd:decimal"> <xsd:annotation> <xsd:documentation xml:lang="en">The value of the the quotation.</xsd:documentation> </xsd:annotation> </xsd:element> <xsd:group ref="QuotationCharacteristics.model"> <xsd:annotation> <xsd:documentation xml:lang="en">The characteristics of the quotation.</xsd:documentation> </xsd:annotation> </xsd:group> </xsd:sequence> </xsd:group> <xsd:group name="QuotationCharacteristics.model"> <xsd:annotation> <xsd:documentation xml:lang="en"> A group collecting a set of characteristics that can be used to describe a quotation. </xsd:documentation> </xsd:annotation> <xsd:sequence> <xsd:element minOccurs="0" name="measureType" type="AssetMeasureType"> <xsd:annotation> <xsd:documentation xml:lang="en"> The type of the value that is measured. This could be an NPV, a cash flow, a clean price, etc. </xsd:documentation> </xsd:annotation> </xsd:element> <xsd:element minOccurs="0" name="quoteUnits" type="PriceQuoteUnits"> <xsd:annotation> <xsd:documentation xml:lang="en"> The optional units that the measure is expressed in. If not supplied, this is assumed to be a price/value in currency units. </xsd:documentation> </xsd:annotation> </xsd:element> <xsd:element minOccurs="0" name="side" type="QuotationSideEnum"> <xsd:annotation> <xsd:documentation xml:lang="en">The side (bid/mid/ask) of the measure.</xsd:documentation> </xsd:annotation> </xsd:element> <xsd:element minOccurs="0" name="currency" type="Currency"> <xsd:annotation> <xsd:documentation xml:lang="en"> The optional currency that the measure is expressed in. If not supplied, this is defaulted from the reportingCurrency in the valuationScenarioDefinition. </xsd:documentation> </xsd:annotation> </xsd:element> <xsd:element minOccurs="0" name="currencyType" type="ReportingCurrencyType"> <xsd:annotation> <xsd:documentation xml:lang="en"> The optional currency that the measure is expressed in. If not supplied, this is defaulted from the reportingCurrency in the valuationScenarioDefinition. </xsd:documentation> </xsd:annotation> </xsd:element> <xsd:element minOccurs="0" name="timing" type="QuoteTiming"> <xsd:annotation> <xsd:documentation xml:lang="en"> When during a day the quote is for. Typically, if this element is supplied, the QuoteLocation needs also to be supplied. </xsd:documentation> </xsd:annotation> </xsd:element> <xsd:group minOccurs="0" ref="QuoteLocation.model"> <xsd:annotation> <xsd:documentation xml:lang="en">Where the quote is from.</xsd:documentation> </xsd:annotation> </xsd:group> <xsd:element maxOccurs="unbounded" minOccurs="0" name="informationSource" type="InformationSource"> <xsd:annotation> <xsd:documentation xml:lang="en"> The information source where a published or displayed market rate will be obtained, e.g. Telerate Page 3750. </xsd:documentation> </xsd:annotation> </xsd:element> <xsd:element minOccurs="0" name="pricingModel" type="PricingModel"> <xsd:annotation> <xsd:documentation xml:lang="en">.</xsd:documentation> </xsd:annotation> </xsd:element> <xsd:element minOccurs="0" name="time" type="xsd:dateTime"> <xsd:annotation> <xsd:documentation xml:lang="en"> When the quote was observed or when a calculated value was generated. </xsd:documentation> </xsd:annotation> </xsd:element> <xsd:element minOccurs="0" name="valuationDate" type="xsd:date"> <xsd:annotation> <xsd:documentation xml:lang="en">When the quote was computed.</xsd:documentation> </xsd:annotation> </xsd:element> <xsd:element minOccurs="0" name="expiryTime" type="xsd:dateTime"> <xsd:annotation> <xsd:documentation xml:lang="en">When does the quote cease to be valid.</xsd:documentation> </xsd:annotation> </xsd:element> <xsd:element minOccurs="0" name="cashflowType" type="CashflowType"> <xsd:annotation> <xsd:documentation xml:lang="en"> For cash flows, the type of the cash flows. Examples include: Coupon payment, Premium Fee, Settlement Fee, Brokerage Fee, etc. </xsd:documentation> </xsd:annotation> </xsd:element> </xsd:sequence> </xsd:group> <xsd:group name="QuoteLocation.model"> <xsd:annotation> <xsd:documentation xml:lang="en"> A group describing where a quote was or will be obtained, e.g. observed or calculated. </xsd:documentation> </xsd:annotation> <xsd:choice> <xsd:element name="businessCenter" type="BusinessCenter"> <xsd:annotation> <xsd:documentation xml:lang="en">A city or other business center.</xsd:documentation> </xsd:annotation> </xsd:element> <xsd:element name="exchangeId" type="ExchangeId"> <xsd:annotation> <xsd:documentation xml:lang="en"> The exchange (e.g. stock or futures exchange) from which the quote is obtained. </xsd:documentation> </xsd:annotation> </xsd:element> </xsd:choice> </xsd:group> </xsd:schema>

XML schema documentation generated with DocFlex/XML 1.8.6b2 using DocFlex/XML XSDDoc 2.5.1 template set. All content model diagrams generated by Altova XMLSpy via DocFlex/XML XMLSpy Integration.